<?php

function check_user($username, $password) {
    $query = "SELECT *  FROM admin WHERE user_name = '" . $username . "' AND pass_word = '" . md5($password) . "' ";
    return return_json($query);
}

function count_rows($table_name, $where_out = null, $Distinct = "") {
    //var_dump($where_out);echo "\n";
    if (is_array($where_out) && count($where_out))
        $where = "WHERE " . implode(" AND ", $where_out);
    else
        $where = ($where_out != "" && !is_array($where_out)) ? " WHERE $where_out" : "";

    $Distinct = ($Distinct != "") ? "$Distinct" : "COUNT(*)";

    $query = "SELECT $Distinct AS count FROM `$table_name` $where";

    //echo "$query<br>";
    return return_json($query);
}

//  --------------      return_json function with run the query and return the reslut on json format   ------- 
//  --------------              this function will be used with select queries only                    -------
function return_json($query,$count_only=false) {
    if(isset($_GET['d'])){
           echo "<br />$query<br />";
        }
    
    $mydal = new dal;
    if (!$mydal->executeQuery($query)) {
        echo $mydal->lastError;
        return false;
    } else {
        $result = array();
        $result["rowcount"] = $mydal->rowcount;
        if (($mydal->rowcount) > 0 && $count_only==false) {
            for ($i = 0; $i < $mydal->rowcount; $i++){
                 $result[$i] = $mydal->fetchArray();
                 if(isset($_GET['d'])){
                   echo "<br />$i<br />";
                }
            }
               
        }
        $mydal->destroy();
        if(isset($_GET['d'])){
            print_r($result);
        }
        return json_encode($result);
    }
}

//================================== end of return_json function  ============================================
//  -----------      return_result function with run the query and return true or false and efffct row id  --- 
//  -----------            this function will be used with insert , update and delete queries only         ---
function return_result($query) {
    //echo "$query<br>";
    $mydal = new dal;
    if (!$mydal->executeQuery($query)) {
        echo $mydal->lastError;
        return false;
    } else {
        $result = array();
        if (stripos($query, "insert") !== false) {
            $result["last_inserted_id"] = $mydal->fetchInsertID();
        }
        $result["affected_row_count"] = $mydal->rowcount;

        $mydal->destroy();
        return json_encode($result);
    }
}

//================================== end of return_result function  ==========================================
// ----------Get all recored from any table functions -----------------------
function get_all($table_name, $near_end = 0, $order = 'ASC', $select = "*",$count_only=false) {
    $near = ($near_end != 0 ) ? " WHERE (cont_end_date < " . strtotime("+ 30 day") . " AND is_renew=0 and cont_end_date >= " . strtotime("now") . ") " : "";
    $query = "SELECT $select FROM $table_name $near order by id $order   ";
    //echo $query;
    return return_json($query,$count_only);
}

function get_all_order_by($table, $where = '', $order = 'ASC', $Distinct = '', $or_mon = "", $more = '') {
    $where = ($where != "") ? " WHERE $where" : "";
    $Distinct = ($Distinct != "") ? "Distinct $Distinct" : "*";
    $order = ($order != "" && $order != "sms") ? " order by id $order" : "";
    $or_mon = ($or_mon != "") ? " order by event_date ASC" : "";
    //$order    = ($order == "sms" && $order == '')?" order by sms_alerts.id $order":"";
//    if($order == "sms")

    $query = "SELECT $Distinct FROM $table $where $order $or_mon $more";
    //echo "<br>$query<br>";
    return return_json($query);
}

function get_all_money_by_contid($id) {
    $query = "SELECT * FROM `amlak_money` WHERE `cont_id` = $id ORDER BY id";
    //echo "<br>$query<br>";
    return return_json($query);
}

function get_all_log($table_name, $where = '') {
    $query = "SELECT * FROM $table_name $where order by id desc ";
    //echo $query;
    return return_json($query);
}

function get_all_log_eu($table_name, $count = "", $perpage = "", $where = '') {
    $query = "SELECT * FROM $table_name $where order by event_date desc ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    //echo $count."  ".$perpage;
    return return_json($query);
}

function get_all_top($table_name) {
    $query = "SELECT * FROM $table_name where parent_nemu_id = 'top' ";

    return return_json($query);
}

function get_all_new($table_name) {
    $query = "SELECT * FROM $table_name where opened = '0' ";

    return return_json($query);
}

function get_username($id) {
    $query = "SELECT user_name FROM amlak_users where id = $id ";
    $user = json_decode(return_json($query));
    return $user->{0}->user_name;
}

function get_all_old($table_name) {
    $query = "SELECT * FROM $table_name where opened = '1' ";

    return return_json($query);
}

// ----------Get all with ,$eu,$limit recored from any table functions -----------------------
function get_all_eu($table_name, $count = "", $perpage = "", $near_end = 0) {
    $near = ($near_end != 0 ) ? " WHERE (amlak_amlak.under_office = 1 AND amlak_contracts.aqaar_id = amlak_amlak.id) AND (cont_end_date < " . strtotime("+ 30 day") . " AND is_renew=0 and cont_end_date >= " . strtotime("now") . ") " : "";
    $query = "SELECT * FROM $table_name $near ORDER BY id DESC ";
    //echo 'IF '.$count.' != "" && '.$perpage.' != ""';
    if ($count == '' && $perpage == '')
        ;
    else {
        $query .="LIMIT " . $count . "," . $perpage;
        //echo $count."  ".$perpage;
    }

    //echo "$query<br>";
    return return_json($query);
}

function get_all_eu_new($table_name, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where opened = '0' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    //echo $count."  ".$perpage;
    return return_json($query);
}

function get_all_eu_old($table_name, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where opened = '1' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    //echo $count."  ".$perpage;
    return return_json($query);
}

function get_course_by_id($id) {
    $query = "SELECT * FROM courses where id = '" . $id . "' ";

    return return_json($query);
}

// ----------search all recored from any table functions -----------------------
function search_all_semar($table_name, $field, $q, $semsar) {
    $query = "SELECT * FROM $table_name where ";
    if ($q)
        $query .=" $field LIKE '%" . $q . "%' ";
    if ($semsar && $q)
        $query .=" and ";
    if ($semsar)
        $query .="  semsar = '1'";
    $query .=" ORDER BY id DESC";
    //echo $query;

    return return_json($query);
}

function search_all($table_name, $field, $q) {
    $query = "SELECT * FROM $table_name where ";
    if ($q)
        $query .=" $field  LIKE '%" . $q . "%' ORDER BY id ASC";

    //echo $query;

    return return_json($query);
}

function search_all_amlak_users($user_name, $mobile, $email, $id_number, $count = "", $perpage = "", $job = "", $no = '',$id = '',$count_only=false) {
    $query = "SELECT * FROM amlak_users ";
    //echo "$user_name,$mobile,$email,$id_number,$count,$perpage,$job<br>";
    if ($user_name != "" || $mobile != "" || $email != "" || $id_number != "" || $job != "" || $no != "" || $id != '')
        $query .="  where ";
    if ($id != "")
        $query .=" id ='" . $id . "' ";
    if ($id != "" && ($user_name != '' || $mobile != ''))
        $query .="  and ";
    if ($user_name != "")
        $query .=" user_name LIKE '%" . $user_name . "%' ";
    if ($mobile != "" && $user_name != "")
        $query .="  and ";
    if ($mobile != "")
        $query .=" mobile LIKE '%" . $mobile . "%' ";
    if ($email != "" && ($user_name != "" || $mobile != ""))
        $query .="  and ";
    if ($email != "")
        $query .=" email LIKE '%" . $email . "%' ";
    if ($id_number != "" && ($user_name != "" || $mobile != "" || $email != ""))
        $query .="  and ";
    if ($id_number != "")
        $query .="  and id_number LIKE '%" . $id_number . "%' ";
    if ($job != "" && ($user_name != "" || $mobile != "" || $email != "" || $id_number != ""))
        $query .="  and ";
    if ($job != "")
        $query .="  job LIKE '%" . $job . "%' ";

    if ($no != '' && ($job != "" || $user_name != "" || $mobile != "" || $email != "" || $id_number != ""))
        $query .="  and ";
    if ($no != "")
        $query .="  national = '' ";

    $query .=" order by id DESC ";

    if ($count != "" || $perpage != "")
        $query .="LIMIT " . $count . "," . $perpage;

    //echo $query;

    return return_json($query,$count_only);
}

function search_all_date($table_name, $field, $from, $to) {
    $query = "SELECT * FROM $table_name where $field between '" . $from . "' and '" . $to . "' ";
    //echo $query;

    return return_json($query);
}

function search_all_new($table_name, $field, $q) {
    $query = "SELECT * FROM $table_name where $field LIKE '%" . $q . "%' and opened = '0' ";
    //if($count !="" && $perpage!="")

    return return_json($query);
}

function search_all_old($table_name, $field, $q) {
    $query = "SELECT * FROM $table_name where $field LIKE '%" . $q . "%' and opened = '1' ";
    //if($count !="" && $perpage!="")

    return return_json($query);
}

// ----------search all recored from any table functions -----------------------
function search_all_eu($table_name, $field, $q, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where $field LIKE '%" . $q . "%' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    return return_json($query);
}

function search_all_date_eu($table_name, $field, $from, $to, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where $field between '" . $from . "' and '" . $to . "' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    return return_json($query);
}

function search_all_eu_new($table_name, $field, $q, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where $field LIKE '%" . $q . "%' and opened = '0' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    return return_json($query);
}

function search_all_eu_old($table_name, $field, $q, $count = "", $perpage = "") {
    $query = "SELECT * FROM $table_name where $field LIKE '%" . $q . "%' and opened = '1' ";
    //if($count !="" && $perpage!="")
    $query .="LIMIT " . $count . "," . $perpage;
    return return_json($query);
}

// ----------Admin  tables functions -----------------------
// ----------÷insert SMS data-----------------------
function insert_sms_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO sms_alerts 
 VALUES (NULL, $data->cont_id, $data->when_sent, $data->ranter_id,'$data->ranter_name','$data->sms_text', 0,'$data->pay_id')";
    //echo "$query<br>";
    return return_result($query);
}

// ----------÷insert Course data-----------------------
function insert_course_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `courses` (`course_name`,`student_count`,`course_date`,`register_till`) VALUES ( '" . $data->course_name . "','" . $data->student_count . "','" . $data->course_date . "','" . $data->register_till . "')";
    return return_result($query);
}

// ----------Delete Course Data -----------------------
function delete_course_data($id) {
    $query = "DELETE FROM  `courses` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Get Course trainers by course id -----------------------


function get_all_by_traner_id($table_name, $id) {
    $query = "SELECT * FROM $table_name where `id` = '" . $id . "' ";
    //echo $query;
    return return_json($query);
}

// ----------Get All Records by id -----------------------
function get_all_by_id($table_name, $id, $order = '', $where = '') {
    $query = "SELECT * FROM $table_name where `id` = '" . $id . "' $where $order ";
    //echo "<br />$query<br>";
    return return_json($query);
}

function get_last_cont() {
    $query = "SELECT id FROM amlak_contracts ORDER BY `id` DESC";
    //echo "$query<br>";
    return return_json($query);
}

function get_all_by_front_number($table_name, $front_number) {
    $query = "SELECT * FROM $table_name where `front_number` = '" . $front_number . "' ";
    //echo $query;
    return return_json($query);
}

// ----------÷insert log data-----------------------
function insert_log_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `amlak_logs` (`event_kind`,`event_date`,`user_id`,`row_id`) VALUES ( '" . $data->event_kind . "','" . $data->event_date . "','" . $data->user_id . "','" . $data->row_id . "')";
    return return_result($query);
}

// ----------÷insert Money Payment data-----------------------
function insert_amlak_contacts_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `amlak_contacts` (`id`,`mobile`,`email`) VALUES ( '" . $data->id . "','" . $data->mobile . "','" . $data->email . "')";
    return return_result($query);
}

// ----------Delete  Money Payment Data -----------------------
function delete_amlak_contacts_data($id) {
    $query = "DELETE FROM  `amlak_contacts` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update  Money Payment Data -----------------------
function update_amlak_contacts($data) {
    $data = json_decode($data);
    $query = "UPDATE  `amlak_contacts` SET  `id` = '" . $data->id . "',`mobile` = '" . $data->mobile . "',`email` = '" . $data->email . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

// ----------÷insert Money Payment data-----------------------
function insert_money_payment_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `payments` (`cont_id`,`payment_date`,`got_payment`,`pay_payment`,`got_money_id`,`pay_money_id`,`how_much`,`is_complete`,`how_much_rest`,`pay_how_much_rest`) VALUES ( '" . $data->cont_id . "','" . $data->payment_date . "','" . $data->got_payment . "','" . $data->pay_payment . "','" . $data->got_money_id . "','" . $data->pay_money_id . "','" . $data->how_much . "','" . $data->is_complete . "','" . $data->how_much_rest . "','" . $data->pay_how_much_rest . "')";
    return return_result($query);
}

function insert_payment_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO `dabaanca_amlak`.`payments` (`id`, num_pay, `date`, `how_much`, `cont_id`) 
    VALUES (NULL, '$data->num_pay', '$data->date', '$data->how_much', '$data->cont_id')";
    return return_result($query);
}

function insert_pay_money_data($data, $sym) {
    //global $sym;
    $data = json_decode($data);
    //$now = time();
    $reminder = $data->{"reminder_$sym"};
    $query = "INSERT INTO `dabaanca_amlak`.`pay_money` 
    (`id`, `cont_id`,        `pay_id`, `money_id`, `date`, `how_much`, `got_or_pay`,reminder_$sym) VALUES 
    (NULL, '$data->cont_id', '$data->pay_id',   '$data->money_id',     '$data->date', '$data->how_much', '$data->type','$reminder');";
    //echo "<br>$query<br>";
    return return_result($query);
}

function update_payment_is_complete($id, $type) {
    //$data=json_decode($data);
    $query = "UPDATE  `dabaanca_amlak`.`payments` SET  `is_complete_$type` =  '1' WHERE  `id` =$id";
    //echo "$query<br>";
    return return_result($query);
}

function update_pay_money_is_complete($id) {
    //$data=json_decode($data);
    $query = "UPDATE  `dabaanca_amlak`.`pay_money` SET  `is_complete` =  '1' WHERE  `id` =$id";
    //echo "$query<br>";
    return return_result($query);
}

function get_is_complete($id, $type) {
    //$data=json_decode($data);
    $query = "SELECT `is_complete_$type` FROM `payments`  WHERE  `payments`.`id` =$id";
    //echo "$query<br>";
    return return_json($query);
}

function get_overflow($id, $sym) {
    //$data=json_decode($data);
    $query = "SELECT `overflow_$sym` as overflow FROM `pay_money`  WHERE  `id` =$id";
    //echo "$query<br>";
    return return_json($query);
}

// ----------Delete  Money Payment Data -----------------------
function delete_money_payment_data($id, $where = '') {
    if ($where != "")
        $query = "DELETE FROM  `payments` WHERE  $where ";
    else
        $query = "DELETE FROM  `payments` WHERE  `id` ='" . $id . "' ";

    return return_result($query);
}

function delete_payment_data($cont_id) {

    //$query = "DELETE FROM  `payments` WHERE  cont_id = $cont_id;
//    DELETE FROM  `pay_money` WHERE  cont_id = $cont_id;";
    return_result("DELETE FROM  `payments` WHERE  cont_id = $cont_id");
    return_result("DELETE FROM  `pay_money` WHERE  cont_id = $cont_id");
    //return return_result($query);
}

function change_payment_overflow($pay_id, $overflow, $sym) {

    $query = "UPDATE `pay_money` SET  `overflow_$sym` =  '$overflow' WHERE  `id` =$pay_id;";

    return return_result($query);
}

function change_payment_reminder($pay_id, $reminder, $sym) {

    $query = "UPDATE `pay_money` SET  `reminder_$sym` =  '$reminder' WHERE  `id` =$pay_id;";

    return return_result($query);
}

// ----------Update  Money Payment Data -----------------------
function update_money_payment($data) {
    $data = json_decode($data);
    $query = "UPDATE  `payments` SET  `cont_id` = '" . $data->cont_id . "',`payment_date` = '" . $data->payment_date . "',`got_payment` = '" . $data->got_payment . "',`pay_payment` = '" . $data->pay_payment . "',`got_money_id` = '" . $data->got_money_id . "',`pay_money_id` = '" . $data->pay_money_id . "',`how_much` = '" . $data->how_much . "',`is_complete` = '" . $data->is_complete . "',`how_much_rest`= '" . $data->how_much_rest . "',`pay_how_much_rest`= '" . $data->pay_how_much_rest . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

// ----------Update  Money Payment Data -----------------------
function update_money_payment_status($data) {
    $data = json_decode($data);

    if ($data->money_kind == "سند قبض")
        $query = "UPDATE  `payments` SET  `got_payment` = '" . $data->got_payment . "',`got_money_id` = '" . $data->money_id . "',`is_complete` = '" . $data->is_complete . "',`how_much_rest` = '" . $data->how_much_rest . "' WHERE  `id` ='" . $data->id . "' ";


    if ($data->money_kind == "سند صرف")
        $query = "UPDATE  `payments` SET  `pay_payment` = '" . $data->pay_payment . "',`pay_money_id` = '" . $data->money_id . "',`pay_how_much_rest` = '" . $data->pay_how_much_rest . "' WHERE  `id` ='" . $data->id . "' ";

    return return_result($query);
}

// ----------÷insert User data-----------------------
function insert_users_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `admin` (`name`,`user_name`,`pass_word`,`email`,`coms`) VALUES ( '" . $data->name . "','" . $data->username . "','" . $data->password . "','" . $data->email . "','" . $data->coms . "')";
    return return_result($query);
}

// ----------Delete User Data -----------------------
function delete_users_data($id) {
    $query = "DELETE FROM  `admin` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update User Data -----------------------
function update_user($data) {
    $data = json_decode($data);
    $query = "UPDATE  `admin` SET  `name` = '" . $data->name . "',`user_name` = '" . $data->username . "',`email` = '" . $data->email . "',`coms` = '" . $data->coms . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

// ----------Update User Data and the password-----------------------
function update_user_pass($data) {
    $data = json_decode($data);
    $query = "UPDATE  `admin` SET  `name` = '" . $data->name . "',`user_name` = '" . $data->username . "',`pass_word` = '" . $data->password . "',`email` = '" . $data->email . "',`coms` = '" . $data->coms . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

// ----------Update User Data and the password-----------------------
function update_Status($id, $table) {

    $query = "UPDATE  $table SET  `opened` = '1' WHERE  `id` ='" . $id . "' ";
    //echo $query;
    return return_result($query);
}

// ----------Neightboors table functions -----------------------
// ----------÷insert Neightboors data-----------------------
function insert_neight_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_ahiaa (name,country_id,city_id,mantaka_id,ahiaa_picture) VALUES ('" . $data->name . "','" . $data->country_id . "','" . $data->city_id . "','" . $data->mantaka_id . "','" . $data->ahiaa_picture . "')";
    return return_result($query);
}

// ----------Delete Neightboors Data -----------------------
function delete_neight_data($id) {
    $query = "DELETE FROM  `amlak_ahiaa` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update Neightboors Data -----------------------
function update_neight($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_ahiaa SET 
								name='" . $data->name . "',
								country_id='" . $data->country_id . "',
								city_id='" . $data->city_id . "',
								mantaka_id='" . $data->mantaka_id . "',
								ahiaa_picture='" . $data->ahiaa_picture . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------News table functions -----------------------
// ----------÷insert News data-----------------------
function insert_news_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_news (title,pre_text,body,year,news_right_time,front,image,admin_id,last_news) VALUES ('" . $data->title . "','" . $data->pre_text . "','" . $data->body . "','" . $data->year . "','" . $data->news_right_time . "','" . $data->front . "','" . $data->image . "','" . $data->admin_id . "','" . $data->last_news . "')";
    return return_result($query);
}

// ----------Delete News  Data -----------------------
function delete_news_data($id) {
    $query = "DELETE FROM  `amlak_news` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update News  Data -----------------------
function update_news($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_news SET 
								title='" . $data->title . "',
								pre_text='" . $data->pre_text . "',
								body='" . $data->body . "',
								year='" . $data->year . "',
								front='" . $data->front . "',
								image='" . $data->image . "',
								last_news='" . $data->last_news . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------owner table functions -----------------------

function insert_building_name($data) {
    $data = json_decode($data);
    $query = "INSERT INTO `dabaanca_amlak`.`buliding_names` 
    (`id`, `name`, `id_owner`, `ids_renter`,`id_aqar`) 
    VALUES (NULL, '$data->name', '$data->id_owner', NULL, '$data->id_aqar')";

    return return_result($query);
}

function update_building_name($data) {
    $data = json_decode($data);
    $query = "UPDATE buliding_names SET id_aqar='$data->id_aqar' WHERE id = '$data->id'";

    //echo "$query<br>";
    return return_result($query);
}

// ----------÷insert owner data-----------------------
function insert_owner_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_users (user_name,job,job_where,phone_number,job_number,mobile,user_kind,user_notes,bank_number,bank_branch_number,id_kind,id_number,id_where,id_date,user_images,email,name,password,semsar,national,active_user,subscribe) VALUES ('" . $data->user_name . "','" . $data->job . "','" . $data->job_where . "','" . $data->phone_number . "','" . $data->job_number . "','" . $data->mobile . "','" . $data->user_kind . "','" . $data->user_notes . "','" . $data->bank_number . "','" . $data->bank_branch_number . "','" . $data->id_kind . "','" . $data->id_number . "','" . $data->id_where . "','" . $data->id_date . "','" . $data->user_images . "','" . $data->email . "','" . $data->name . "','" . $data->password . "','" . $data->semsar . "','" . $data->national . "','" . $data->active_user . "','" . $data->subscribe . "')";

    return return_result($query);
}

// ----------Delete owner  Data -----------------------
function delete_owner_data($id) {
    $query = "DELETE FROM  `amlak_users` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update owner  Data -----------------------
function update_owner($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_users SET 
								user_name='" . $data->user_name . "',
								job='" . $data->job . "',
								job_where='" . $data->job_where . "',
								phone_number='" . $data->phone_number . "',
								job_number='" . $data->job_number . "',
								mobile='" . $data->mobile . "',
								user_kind='" . $data->user_kind . "',
								user_notes='" . $data->user_notes . "',
								bank_number='" . $data->bank_number . "',
								bank_branch_number='" . $data->bank_branch_number . "',
								id_kind='" . $data->id_kind . "',
								id_number='" . $data->id_number . "',
								id_where='" . $data->id_where . "',
								id_date='" . $data->id_date . "',
								user_images='" . $data->user_images . "',
								email='" . $data->email . "',
								name='" . $data->name . "',
								password='" . $data->password . "',
								semsar='" . $data->semsar . "',
								national='" . $data->national . "',
								active_user='" . $data->active_user . "',
                                subscribe='" . $data->subscribe . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function update_owner_without_info($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_users SET 
								user_images='" . $data->user_images . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function get_all_mobile($table_name, $mobile) {
    $query = "SELECT * FROM $table_name where mobile = $mobile ";

    return return_json($query);
}

// ----------proparetes table functions -----------------------
// ----------÷insert proparetes data-----------------------
function insert_proparetes_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_proparetes (proparety_name,proparety_description,who_created,when_created,proparety_kind,proparety_options,proparety_order,in_daily,in_cont,in_cont_s,in_aqar_s) VALUES ('" . $data->proparety_name . "','" . $data->proparety_description . "','" . $data->who_created . "','" . $data->when_created . "','" . $data->proparety_kind . "','" . $data->proparety_options . "','" . $data->proparety_order . "','" . $data->in_daily . "','" . $data->in_cont . "','" . $data->in_cont_s . "','" . $data->in_aqar_s . "')";

    return return_result($query);
}

// ----------Delete proparetes  Data -----------------------
function delete_proparetes_data($id) {
    $query = "DELETE FROM  `amlak_proparetes` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update proparetes  Data -----------------------
function update_proparetes($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_proparetes SET 
								proparety_name='" . $data->proparety_name . "',
								proparety_description='" . $data->proparety_description . "',
								who_created='" . $data->who_created . "',
								when_created='" . $data->when_created . "',
								proparety_kind='" . $data->proparety_kind . "',
								proparety_options='" . $data->proparety_options . "',
								proparety_order='" . $data->proparety_order . "',
								in_daily='" . $data->in_daily . "',
								in_cont='" . $data->in_cont . "',
								in_cont_s='" . $data->in_cont_s . "',
								in_aqar_s='" . $data->in_aqar_s . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------Update proparetes  Data -----------------------
function update_proparetes_order($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_proparetes SET 
								proparety_order='" . $data->proparety_order . "'
								WHERE id=" . $data->id;
    //	echo $query;
    return return_result($query);
}

// ----------amlak_kinds table functions -----------------------
// ----------÷insert amlak_kinds data-----------------------
function insert_kinds_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_kinds (name,name_in_print,add_options,when_created,who_created) VALUES ('" . $data->name . "','" . $data->name_in_print . "','" . $data->add_options . "','" . $data->when_created . "','" . $data->who_created . "')";

    return return_result($query);
}

// ----------Delete proparetes  Data -----------------------
function delete_kinds_data($id) {
    $query = "DELETE FROM  `amlak_kinds` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update proparetes  Data -----------------------
function update_kinds($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_kinds SET 
								name='" . $data->name . "',
                                name_in_print='" . $data->name_in_print . "',
								add_options='" . $data->add_options . "',
								when_created='" . $data->when_created . "',
								who_created='" . $data->who_created . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function get_all_by_kind_id($table_name, $id) {
    $query = "SELECT * FROM $table_name where `id` = '" . $id . "' ";
    //echo $query;
    return return_json($query);
}

function get_all_amlak_proparetes_order($table_name, $where = '') {
    $where = ($where != '') ? "WHERE `id` IN ($where)" : '';
    $query = "SELECT * FROM $table_name ORDER BY `proparety_order` ASC ";
    //echo "$query<br>";
    return return_json($query);
}

// ----------amlak_amlak table functions -----------------------
// ----------÷insert amlak_amlak data-----------------------
function insert_amlakInfo_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_amlak (bluiding_number,front_number,reg_date,bluiding_status,part_number,area,neightboor,country_id,mantaka_id,city_id,payment_kind,street_name,gloable_notes,google_l,google_w,have_bank,payment_count,carrent_payment,rest_payment,total_payment,payment_cost,al_soom,rent,sell,sawamh_phone,owener_phone,owener_mobile,attache_images,owner_id,n_street,w_street,e_street,s_street,kind_id,who_created,when_created,under_office,office_precent,bank_account,lion_how_much,n_street_l,s_street_l,w_street_l,e_street_l,construction_date,establesh_date,one_payment_cost,pay_payments,onwer_bank_number,is_active,this_bluiding_status,is_special) VALUES ('" . $data->bluiding_number . "','" . $data->front_number . "','" . $data->reg_date . "','" . $data->bluiding_status . "','" . $data->part_number . "','" . $data->area . "','" . $data->neightboor . "','" . $data->country_id . "','" . $data->mantaka_id . "','" . $data->city_id . "','" . $data->payment_kind . "','" . $data->street_name . "','" . $data->gloable_notes . "','" . $data->google_l . "','" . $data->google_w . "','" . $data->have_bank . "','" . $data->payment_count . "','" . $data->carrent_payment . "','" . $data->rest_payment . "','" . $data->total_payment . "','" . $data->payment_cost . "','" . $data->al_soom . "','" . $data->rent . "','" . $data->sell . "','" . $data->sawamh_phone . "','" . $data->owener_phone . "','" . $data->owener_mobile . "','" . $data->attache_images . "','" . $data->owner_id . "','" . $data->n_street . "','" . $data->w_street . "','" . $data->e_street . "','" . $data->s_street . "','" . $data->kind_id . "','" . $data->who_created . "','" . $data->when_created . "','" . $data->under_office . "','" . $data->office_precent . "','" . $data->bank_account . "','" . $data->lion_how_much . "','" . $data->n_street_l . "','" . $data->s_street_l . "','" . $data->w_street_l . "','" . $data->e_street_l . "','" . $data->construction_date . "','" . $data->establesh_date . "','" . $data->one_payment_cost . "','" . $data->pay_payments . "','" . $data->onwer_bank_number . "','" . $data->is_active . "','" . $data->this_bluiding_status . "','" . $data->is_special . "')";

    return return_result($query);
}

// ----------Delete amlak_amlak  Data -----------------------
function delete_amlakInfo_data($id) {
    $query = "DELETE FROM  `amlak_amlak` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update amlak_amlak  Data -----------------------
function update_amlakInfo($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								bluiding_number='" . $data->bluiding_number . "',
								front_number='" . $data->front_number . "',
								bluiding_status='" . $data->bluiding_status . "',
								part_number='" . $data->part_number . "',
								area='" . $data->area . "',
								neightboor='" . $data->neightboor . "',
								country_id='" . $data->country_id . "',
								mantaka_id='" . $data->mantaka_id . "',
								city_id='" . $data->city_id . "',
								payment_kind='" . $data->payment_kind . "',
								street_name='" . $data->street_name . "',
								gloable_notes='" . $data->gloable_notes . "',
								google_l='" . $data->google_l . "',
								google_w='" . $data->google_w . "',
								have_bank='" . $data->have_bank . "',
								payment_count='" . $data->payment_count . "',
								carrent_payment='" . $data->carrent_payment . "',
								rest_payment='" . $data->rest_payment . "',
								total_payment='" . $data->total_payment . "',
								payment_cost='" . $data->payment_cost . "',
								al_soom='" . $data->al_soom . "',
								rent='" . $data->rent . "',
								sell='" . $data->sell . "',
								sawamh_phone='" . $data->sawamh_phone . "',
								owener_phone='" . $data->owener_phone . "',
								owener_mobile='" . $data->owener_mobile . "',
								attache_images='" . $data->attache_images . "',
								owner_id='" . $data->owner_id . "',
								n_street='" . $data->n_street . "',
								w_street='" . $data->w_street . "',
								e_street='" . $data->e_street . "',
								s_street='" . $data->s_street . "',
								kind_id='" . $data->kind_id . "',
								who_created='" . $data->who_created . "',
								under_office='" . $data->under_office . "',
								office_precent='" . $data->office_precent . "',
								bank_account='" . $data->bank_account . "',
								lion_how_much='" . $data->lion_how_much . "',
								n_street_l='" . $data->n_street_l . "',
								s_street_l='" . $data->s_street_l . "',
								w_street_l='" . $data->w_street_l . "',
								e_street_l='" . $data->e_street_l . "',
								construction_date='" . $data->construction_date . "',
								establesh_date='" . $data->establesh_date . "',
								one_payment_cost='" . $data->one_payment_cost . "',
								pay_payments='" . $data->pay_payments . "',
								onwer_bank_number='" . $data->onwer_bank_number . "',
								is_active='" . $data->is_active . "',
								this_bluiding_status='" . $data->this_bluiding_status . "',
                                is_special='" . $data->is_special . "'
								WHERE id=" . $data->id;
    //exit(var_dump($query));
    return return_result($query);
}

function update_spicail($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								owener_phone='" . $data->owener_phone . "'
								WHERE id=" . $data->id;
    //echo $query;
    return return_result($query);
}

function update_front_number($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								front_number=''
								WHERE id=" . $data->id;
    //echo $query;
    return return_result($query);
}

function update_amlakInfo_status($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								bluiding_status='" . $data->bluiding_status . "'
								WHERE id=" . $data->id;

    //echo $query;
    return return_result($query);
}

function update_amlakInfo_active($id) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								is_active='1'
								WHERE id=" . $id;
    //echo $query;
    return return_result($query);
}

function update_amlakInfo_inactive($id) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								is_active='0'
								WHERE id=" . $id;
    //echo $query;
    return return_result($query);
}

function update_amlakInfo_photos($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET 
								attache_images='" . $data->attache_images . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function get_all_active($table_name, $count = "0", $perpage = "0") {
    $query = "SELECT * FROM $table_name where is_active = '1' ORDER BY id DESC ";

    if ($count != "0" || $perpage != "0")
        $query .="LIMIT " . $count . "," . $perpage;


    //echo $query;

    return return_json($query);
}

function get_all_inactive($table_name, $count = "0", $perpage = "0") {
    $query = "SELECT * FROM $table_name where is_active = '0' ";

    if ($count != "0" || $perpage != "0")
        $query .="LIMIT " . $count . "," . $perpage;


    //echo $query;

    return return_json($query);
}

function get_all_finished($table_name) {
    $query = "SELECT * FROM $table_name where cont_end_date < " . strtotime("now") . " ";

    return return_json($query);
}

function get_query($query) {
    return return_json($query);
}

function get_all_near_finished($table_name = "amlak_contracts,amlak_amlak") {
    $query = "SELECT distinct `amlak_contracts`.`id`,`amlak_contracts`.`contrato_kind`,`amlak_contracts`.`ranter_name`,`amlak_contracts`.`ranter_id`,`amlak_contracts`.`owner_name`,`amlak_contracts`.`owner_id`,`amlak_contracts`.`amlak_kind`,`amlak_contracts`.`phone_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`mobile`,`amlak_contracts`.`job_where`,`amlak_contracts`.`annual_payment`,`amlak_contracts`.`payment_for_now`,`amlak_contracts`.`rest_payment`,`amlak_contracts`.`next_year_rent`,`amlak_contracts`.`payment_as_parts`,`amlak_contracts`.`gloable_notes`,`amlak_contracts`.`contrato_images`,`amlak_contracts`.`Contracts_text`,`amlak_contracts`.`cont_end_date`,`amlak_contracts`.`cont_reg_date`,`amlak_contracts`.`when_created`,`amlak_contracts`.`who_created`,`amlak_contracts`.`aqaar_id`,`amlak_contracts`.`payment_every_what` 
 FROM $table_name 
 WHERE cont_end_date <= " . strtotime("+ 30 day") . " and cont_end_date >= " . strtotime("now") . " AND is_renew=0 AND (amlak_contracts.aqaar_id = amlak_amlak.id AND `amlak_amlak`.`under_office` = 1) order by amlak_contracts.id ASC";
    //echo "$query<br />";
    return return_json($query);
}

function get_all_near_finished_with_pay($table_name = "amlak_contracts,amlak_amlak,payments") {
    $query = "SELECT distinct `amlak_contracts`.`id`,`amlak_contracts`.`contrato_kind`,`amlak_contracts`.`ranter_name`,`amlak_contracts`.`ranter_id`,`amlak_contracts`.`owner_name`,`amlak_contracts`.`owner_id`,`amlak_contracts`.`amlak_kind`,`amlak_contracts`.`phone_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`mobile`,`amlak_contracts`.`job_where`,`amlak_contracts`.`annual_payment`,`amlak_contracts`.`payment_for_now`,`amlak_contracts`.`rest_payment`,`amlak_contracts`.`next_year_rent`,`amlak_contracts`.`payment_as_parts`,`amlak_contracts`.`gloable_notes`,`amlak_contracts`.`contrato_images`,`amlak_contracts`.`Contracts_text`,`amlak_contracts`.`cont_end_date`,`amlak_contracts`.`cont_reg_date`,`amlak_contracts`.`when_created`,`amlak_contracts`.`who_created`,`amlak_contracts`.`aqaar_id`,`amlak_contracts`.`payment_every_what`  FROM $table_name 
 WHERE cont_end_date <= " . strtotime("+ 30 day") . " and cont_end_date >= " . strtotime("now") . " AND (amlak_amlak.under_office = 1 AND amlak_contracts.aqaar_id = amlak_amlak.id) AND (amlak_contracts.is_sent = 0) order by amlak_contracts.id ASC";
    //echo "<br>$query<br />";
    return return_json($query);
}

function get_all_sell($table_name) {
    $query = "SELECT * FROM $table_name where contrato_kind  = '2' ";

    return return_json($query);
}

function get_all_rent($table_name) {
    $query = "SELECT * FROM $table_name where contrato_kind  = '1' ";

    return return_json($query);
}

function get_all_owners($table_name) {
    $query = "SELECT Distinct owner_id FROM $table_name ";

    return return_json($query);
}

function get_all_renters($table_name) {
    $query = "SELECT Distinct ranter_id  FROM $table_name ";

    return return_json($query);
}

function get_all_by_cont_id($table_name, $id) {
    $query = "SELECT  *  FROM $table_name where cont_id = $id order by when_sent ";
    //echo $query;
    return return_json($query);
}

function get_all_by_cont_id_order_by($table_name, $id) {
    $query = "SELECT  *  FROM $table_name where cont_id =" . $id . " order by when_created  ";
    //echo $query;
    return return_json($query);
}

function get_all_underoffice($table_name) {
    $query = "SELECT  *  FROM $table_name where under_office ='1' ";
    //echo $query;
    return return_json($query);
}

function get_all_amlak_free($table_name) {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status` from amlak_amlak where (`amlak_amlak`.`id` not in (select `amlak_contracts`.`aqaar_id` from amlak_contracts where `amlak_contracts`.`contrato_kind` != '2' or `amlak_contracts`.`cont_reg_date` < '" . strtotime("now") . "' ) ";

    //select akar_id from amlak where akar_id not in (select akar_id from contracts)

    $query .="and (`amlak_amlak`.`is_active` = '1') ) ORDER BY id DESC ";
    //echo $query;
    return return_json($query);
}

function get_all_amlak_free_eu($table_name, $count = "", $perpage = "") {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status` from amlak_amlak where ((`amlak_amlak`.`id` not in (select `amlak_contracts`.`aqaar_id` from amlak_contracts where `amlak_contracts`.`contrato_kind` != '2' or `amlak_contracts`.`cont_reg_date` < '" . strtotime("now") . "' )) ";






    $query .="and (`amlak_amlak`.`is_active` = '1') ) ORDER BY id DESC ";
    $query .="LIMIT " . $count . "," . $perpage;
    //echo $query;
    return return_json($query);
}

function search_all_amlak_free($table_name, $field, $name) {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status`  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "aqaar_kind")
        $query .="from amlak_amlak,amlak_kinds where ((`amlak_kinds`.`name` like '%" . $name . "%' and `amlak_kinds`.`id` = `amlak_amlak`.`kind_id` ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent")
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` like '%" . $name . "%') ";

    if ($field == "sell")
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` like '%" . $name . "%') ";



    //$query .="and (`amlak_amlak`.`id` not in (select `amlak_contracts`.`aqaar_id` from amlak_contracts where `amlak_contracts`.`contrato_kind` != '2' or `amlak_contracts`.`cont_reg_date` < '".strtotime("now")."' )) and(`amlak_amlak`.`is_active` = '1') )";
    $query .=" and(`amlak_amlak`.`is_active` = '1')) ORDER BY `amlak_amlak`.`id` DESC";
    //echo "$query<br>";
    return return_json($query);
}

function search_all_amlak_free_eu($table_name, $field, $name, $count = "", $perpage = "") {
    $query = "select distinct *  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "aqaar_kind")
        $query .="from amlak_amlak,amlak_kinds where ((`amlak_kinds`.`name` like '%" . $name . "%' and `amlak_kinds`.`id` = `amlak_amlak`.`kind_id` ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent")
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` like '%" . $name . "%') ";

    if ($field == "sell")
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` like '%" . $name . "%') ";


    //$query .="and (`amlak_amlak`.`id` not in (select `amlak_contracts`.`aqaar_id` from amlak_contracts where `amlak_contracts`.`contrato_kind` != '2' or `amlak_contracts`.`cont_reg_date` < '".strtotime("now")."' )) and (`amlak_amlak`.`is_active` = '1') ) ORDER BY id DESC ";

    $query .=" AND ( bluiding_status = 'for_rent' OR bluiding_status = 'for_sell' ) and(`amlak_amlak`.`is_active` = '1') ) ORDER BY `amlak_amlak`.id DESC ";

    $query .="LIMIT " . $count . "," . $perpage;
    //echo $query;
    return return_json($query);
}

function search_all_amlak($table_name, $field, $name, $count = "0", $perpage = "0", $type = '') {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`bluiding_status`  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "kind_id")
        $query .="from amlak_amlak,amlak_kinds where (( `amlak_amlak`.`kind_id` = $name ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent") {
        $name = explode(",", $name);
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` between " . $name[0] . " and " . $name[1] . ") ";
    }

    if ($field == "sell") {
        $name = explode(",", $name);
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` between " . $name[0] . " and " . $name[1] . " ) ";
    }

    if ($field == "id")
        $query .="from amlak_amlak where ((`amlak_amlak`.`id` = '" . $name . "') ";

    $bluid = "";
    if ($type == 1)
        $bluid = "`amlak_amlak`.`bluiding_status` = 'for_rent' and ";
    if ($type == 2)
        $bluid = "`amlak_amlak`.`bluiding_status` = 'for_sell' and ";

    if ($field == "" && $name == "")
        $query.=" from amlak_amlak WHERE ( 1 ";
    $query .="and ( $bluid `amlak_amlak`.`is_active` = '1') ) ORDER BY id DESC ";

    if ($count != "0" || $perpage != "0")
        $query .="LIMIT " . $count . "," . $perpage;

    //echo "<br>$query<br>";
    return return_json($query);
}

function search_all_amlak_eu($table_name, $field, $name, $count = "", $perpage = "") {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status`  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "aqaar_kind")
        $query .="from amlak_amlak,amlak_kinds where ((`amlak_kinds`.`name` like '%" . $name . "%' and `amlak_kinds`.`id` = `amlak_amlak`.`kind_id` ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent")
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` like '%" . $name . "%') ";

    if ($field == "sell")
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` like '%" . $name . "%') ";

    if ($field == "id")
        $query .="from amlak_amlak where ((`amlak_amlak`.`id` = '" . $name . "') ";

    $query .="and (`amlak_amlak`.`is_active` = '1') ) ";

    $query .="LIMIT " . $count . "," . $perpage;
    //echo $query;
    return return_json($query);
}

function search_all_amlak_inactive($table_name, $field, $name, $count = "0", $perpage = "0") {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status`  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "kind_id")
        $query .="from amlak_amlak,amlak_kinds where ((`amlak_kinds`.`name` like '%" . $name . "%' and `amlak_kinds`.`id` = `amlak_amlak`.`kind_id` ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent")
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` like '%" . $name . "%') ";

    if ($field == "sell")
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` like '%" . $name . "%') ";

    if ($field == "id")
        $query .="from amlak_amlak where ((`amlak_amlak`.`id` = '" . $name . "') ";

    $query .="and (`amlak_amlak`.`is_active` = '0') ) ";


    if ($count != "0" || $perpage != "0")
        $query .="LIMIT " . $count . "," . $perpage;

    //echo $query;
    return return_json($query);
}

function search_all_amlak_inactive_eu($table_name, $field, $name, $count = "", $perpage = "") {
    $query = "select distinct `amlak_amlak`.`id`,`amlak_amlak`.`bluiding_number`,`amlak_amlak`.`front_number`,`amlak_amlak`.`reg_date`,`amlak_amlak`.`bluiding_status`,`amlak_amlak`.`part_number`,`amlak_amlak`.`area`,`amlak_amlak`.`neightboor`,`amlak_amlak`.`country_id`,`amlak_amlak`.`mantaka_id`,`amlak_amlak`.`city_id`,`amlak_amlak`.`payment_kind`,`amlak_amlak`.`street_name`,`amlak_amlak`.`gloable_notes`,`amlak_amlak`.`google_l`,`amlak_amlak`.`google_w`,`amlak_amlak`.`have_bank`,`amlak_amlak`.`payment_count`,`amlak_amlak`.`carrent_payment`,`amlak_amlak`.`rest_payment`,`amlak_amlak`.`total_payment`,`amlak_amlak`.`payment_cost`,`amlak_amlak`.`al_soom`,`amlak_amlak`.`rent`,`amlak_amlak`.`sell`,`amlak_amlak`.`sawamh_phone`,`amlak_amlak`.`owener_phone`,`amlak_amlak`.`owener_mobile`,`amlak_amlak`.`attache_images`,`amlak_amlak`.`owner_id`,`amlak_amlak`.`n_street`,`amlak_amlak`.`w_street`,`amlak_amlak`.`e_street`,`amlak_amlak`.`s_street`,`amlak_amlak`.`kind_id`,`amlak_amlak`.`who_created`,`amlak_amlak`.`when_created`,`amlak_amlak`.`under_office`,`amlak_amlak`.`office_precent`,`amlak_amlak`.`bank_account`,`amlak_amlak`.`lion_how_much`,`amlak_amlak`.`n_street_l`,`amlak_amlak`.`s_street_l`,`amlak_amlak`.`w_street_l`,`amlak_amlak`.`e_street_l`,`amlak_amlak`.`construction_date`,`amlak_amlak`.`establesh_date`,`amlak_amlak`.`one_payment_cost`,`amlak_amlak`.`pay_payments`,`amlak_amlak`.`onwer_bank_number`,`amlak_amlak`.`is_active`,`amlak_amlak`.`this_bluiding_status`  ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "neightneer")
        $query .="from amlak_amlak,amlak_ahiaa where ((`amlak_ahiaa`.`name` like '%" . $name . "%' and `amlak_ahiaa`.`id` = `amlak_amlak`.`neightboor`) ";

    if ($field == "street_name")
        $query .="from amlak_amlak where ((`amlak_amlak`.`street_name` like '%" . $name . "%') ";

    if ($field == "country")
        $query .="from amlak_amlak,country where ((`country`.`name` like '%" . $name . "%' and `country`.`id` = `amlak_amlak`.`country_id`)  ";

    if ($field == "mantaka")
        $query .="from amlak_amlak,mantaka where ((`mantaka`.`name` like '%" . $name . "%' and `mantaka`.`id` = `amlak_amlak`.`mantaka_id` )  ";

    if ($field == "city")
        $query .="from amlak_amlak,city where ((`city`.`name` like '%" . $name . "%' and `city`.`id` = `amlak_amlak`.`city_id`)  ";

    if ($field == "kind_id")
        $query .="from amlak_amlak,amlak_kinds where (( `amlak_amlak`.`kind_id` = $name ) ";

    if ($field == "owner_id")
        $query .="from amlak_amlak,amlak_users where ((`amlak_users`.`user_name` like '%" . $name . "%' and `amlak_users`.`id` = `amlak_amlak`.`owner_id` ) ";

    if ($field == "bluiding_status")
        $query .="from amlak_amlak where ((`amlak_amlak`.`bluiding_status` like '%" . $name . "%') ";

    if ($field == "front_number")
        $query .="from amlak_amlak where ((`amlak_amlak`.`front_number` like '%" . $name . "%') ";

    if ($field == "rent")
        $query .="from amlak_amlak where ((`amlak_amlak`.`rent` like '%" . $name . "%') ";

    if ($field == "sell")
        $query .="from amlak_amlak where ((`amlak_amlak`.`sell` like '%" . $name . "%') ";

    if ($field == "id")
        $query .="from amlak_amlak where ((`amlak_amlak`.`id` = '" . $name . "') ";


    $query .="and (`amlak_amlak`.`is_active` = '0') ) ";

    $query .="LIMIT " . $count . "," . $perpage;
    //echo $query;
    return return_json($query);
}

//if($count !="" && $perpage!="")
// ----------pages table functions -----------------------
// ----------÷insert pages data-----------------------
function insert_pages_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_pages (page_name,content,photo,right_time,footer,top_menu,menu_name,show_or_not,parent_nemu_id) VALUES ('" . $data->page_name . "','" . $data->content . "','" . $data->photo . "','" . $data->right_time . "','" . $data->footer . "','" . $data->top_menu . "','" . $data->menu_name . "','" . $data->show_or_not . "','" . $data->parent_nemu_id . "')";

    return return_result($query);
}

// ----------Delete pages  Data -----------------------
function delete_pages_data($id) {
    $query = "DELETE FROM  `amlak_pages` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update pages  Data -----------------------
function update_pages($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_pages SET 
								page_name='" . $data->page_name . "',
								content='" . $data->content . "',
								photo='" . $data->photo . "',
								right_time='" . $data->right_time . "',
								footer='" . $data->footer . "',
								top_menu='" . $data->top_menu . "',
								menu_name='" . $data->menu_name . "',
								show_or_not='" . $data->show_or_not . "',
								parent_nemu_id='" . $data->parent_nemu_id . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------pages table functions -----------------------
// ----------÷insert amalak_buildings_proparetes_values data-----------------------
function insert_amalak_buildings_proparetes_values_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amalak_buildings_proparetes_values (kind_id,proparety_id,proparety_value,building_id) VALUES ('" . $data->kind_id . "','" . $data->proparety_id . "','" . $data->proparety_value . "','" . $data->building_id . "')";

    //echo "$query<br>";
    return return_result($query);
}

// ----------Delete amalak_buildings_proparetes_values  Data -----------------------
function delete_amalak_buildings_proparetes_values_data($id) {
    $query = "DELETE FROM  `amalak_buildings_proparetes_values` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update amalak_buildings_proparetes_values  Data -----------------------
function update_amalak_buildings_proparetes_values($data) {
    $data = json_decode($data);
    $query = "UPDATE amalak_buildings_proparetes_values SET 
								kind_id='" . $data->kind_id . "',
								proparety_id='" . $data->proparety_id . "',
								proparety_value='" . $data->proparety_value . "',
								building_id='" . $data->building_id . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function get_all_by_building_id_proparety_id($table_name, $building_id, $proparety_id, $where = '') {
    $query = "SELECT * FROM $table_name where `building_id` = '" . $building_id . "' and `proparety_id` = '" . $proparety_id . "'   $where ";
    //echo $query;
    return return_json($query);
}

function get_all_by_building_id($table_name, $building_id, $where = '') {
    $query = "SELECT * FROM $table_name where `building_id` = '" . $building_id . "' $where ";

    //echo $query;
    return return_json($query);
}

function delete_all_by_building_id_proparety_id($building_id) {
    $query = "DELETE FROM  `amalak_buildings_proparetes_values` WHERE  `building_id` ='" . $building_id . "' ";
    return_result($query);
    $query = "DELETE FROM  `build_aqar_ids` WHERE  `aqar_id` ='" . $building_id . "' ";
    return return_result($query);
}

function get_by_name_kind($table_name, $building_id) {
    $query = "SELECT * FROM $table_name where `building_id` = '" . $building_id . "' and proparety_id = '69'  ";

    //echo $query;
    return return_json($query);
}

// ----------Pages table functions -----------------------
// ----------Update Settings  Data -----------------------
function update_settings($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_settings SET 
								site_name='" . $data->site_name . "',
								url='" . $data->url . "',
								master_mail='" . $data->master_mail . "',
								m_ky='" . $data->m_ky . "',
								meta_des='" . $data->meta_des . "',
								notes='" . $data->notes . "',
								magazine_id='" . $data->magazine_id . "',
								targets='" . $data->targets . "',
								all_targets='" . $data->all_targets . "',
								news_count='" . $data->news_count . "',
                                imgs='" . $data->imgs . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------amlak_contracts table functions -----------------------
// ----------÷insert amlak_contracts data-----------------------
function insert_amlak_contracts_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_contracts (contrato_kind,ranter_name,ranter_id,owner_name,owner_id,amlak_id,amlak_kind,phone_number,job_number,mobile,job_where,annual_payment,payment_for_now,rest_payment,next_year_rent,payment_as_parts,gloable_notes,contrato_images,Contracts_text,cont_end_date,cont_reg_date,when_created,who_created,aqaar_id,payment_every_what) VALUES ('" . $data->contrato_kind . "','" . $data->ranter_name . "','" . $data->ranter_id . "','" . $data->owner_name . "','" . $data->owner_id . "','" . $data->amlak_id . "','" . $data->amlak_kind . "','" . $data->phone_number . "','" . $data->job_number . "','" . $data->mobile . "','" . $data->job_where . "','" . $data->annual_payment . "','" . $data->payment_for_now . "','" . $data->rest_payment . "','" . $data->next_year_rent . "','" . $data->payment_as_parts . "','" . $data->gloable_notes . "','" . $data->contrato_images . "','" . $data->Contracts_text . "','" . $data->cont_end_date . "','" . $data->cont_reg_date . "','" . $data->when_created . "','" . $data->who_created . "','" . $data->aqaar_id . "','" . $data->payment_every_what . "')";
    //echo "$query<br>";
    return return_result($query);
}

function insert_amlak_contracts_data_with_id($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_contracts (id,contrato_kind,ranter_name,ranter_id,owner_name,owner_id,amlak_id,amlak_kind,phone_number,job_number,mobile,job_where,annual_payment,payment_for_now,rest_payment,next_year_rent,payment_as_parts,gloable_notes,contrato_images,Contracts_text,cont_end_date,cont_reg_date,when_created,who_created,aqaar_id,payment_every_what) VALUES ('" . $data->id . "','" . $data->contrato_kind . "','" . $data->ranter_name . "','" . $data->ranter_id . "','" . $data->owner_name . "','" . $data->owner_id . "','" . $data->amlak_id . "','" . $data->amlak_kind . "','" . $data->phone_number . "','" . $data->job_number . "','" . $data->mobile . "','" . $data->job_where . "','" . $data->annual_payment . "','" . $data->payment_for_now . "','" . $data->rest_payment . "','" . $data->next_year_rent . "','" . $data->payment_as_parts . "','" . $data->gloable_notes . "','" . $data->contrato_images . "','" . $data->Contracts_text . "','" . $data->cont_end_date . "','" . $data->cont_reg_date . "','" . $data->when_created . "','" . $data->who_created . "','" . $data->aqaar_id . "','" . $data->payment_every_what . "')";
    //echo "$query<br>";
    return return_result($query);
}

// ----------Delete amlak_contracts  Data -----------------------
function delete_amlak_contracts_data($id) {
    $query = "DELETE FROM  `amlak_contracts` WHERE  `id` ='" . $id . "' ";
    return_result($query);

    $query = "DELETE FROM  `amlak_cont_payments` WHERE  `cont_id` ='" . $id . "' ";
    return_result($query);

    $query = "DELETE FROM  `payments` WHERE  `cont_id` ='" . $id . "' ";
    return_result($query);

    $query = "DELETE FROM  `amlak_money` WHERE  `contrato_id` ='" . $id . "' ";
    return_result($query);

    $query = "DELETE FROM  `amlak_money` WHERE  `contrato_id` ='" . $id . "' ";
    return_result($query);

    return;
}

// ----------Update amlak_contracts  Data -----------------------
function update_amlak_contracts_values($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_contracts SET 
								contrato_kind='" . $data->contrato_kind . "',
								ranter_name='" . $data->ranter_name . "',
								ranter_id='" . $data->ranter_id . "',
								owner_name='" . $data->owner_name . "',
								owner_id='" . $data->owner_id . "',
								amlak_id='" . $data->amlak_id . "',
								amlak_kind='" . $data->amlak_kind . "',
								phone_number='" . $data->phone_number . "',
								job_number='" . $data->job_number . "',
								mobile='" . $data->mobile . "',
								job_where='" . $data->job_where . "',
								annual_payment='" . $data->annual_payment . "',
								payment_for_now='" . $data->payment_for_now . "',
								rest_payment='" . $data->rest_payment . "',
								next_year_rent='" . $data->next_year_rent . "',
								payment_as_parts='" . $data->payment_as_parts . "',
								gloable_notes='" . $data->gloable_notes . "',
								contrato_images='" . $data->contrato_images . "',
								Contracts_text='" . $data->Contracts_text . "',
								cont_end_date='" . $data->cont_end_date . "',
								cont_reg_date='" . $data->cont_reg_date . "',
								when_created='" . $data->when_created . "',
								who_created='" . $data->who_created . "',
								aqaar_id='" . $data->aqaar_id . "',
								payment_every_what='" . $data->payment_every_what . "'
								WHERE id=" . $data->id;
    //echo $query;
    return return_result($query);
}

function finish_amlak_contracts($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_contracts SET 
								contrato_kind='" . $data->contrato_kind . "',
								ranter_name='" . $data->ranter_name . "',
								ranter_id='" . $data->ranter_id . "',
								owner_name='" . $data->owner_name . "',
								owner_id='" . $data->owner_id . "',
								amlak_id='" . $data->amlak_id . "',
								amlak_kind='" . $data->amlak_kind . "',
								phone_number='" . $data->phone_number . "',
								job_number='" . $data->job_number . "',
								mobile='" . $data->mobile . "',
								job_where='" . $data->job_where . "',
								annual_payment='" . $data->annual_payment . "',
								payment_for_now='" . $data->payment_for_now . "',
								rest_payment='" . $data->rest_payment . "',
								next_year_rent='" . $data->next_year_rent . "',
								payment_as_parts='" . $data->payment_as_parts . "',
								gloable_notes='" . $data->gloable_notes . "',
								contrato_images='" . $data->contrato_images . "',
								Contracts_text='" . $data->Contracts_text . "',
								cont_end_date='" . $data->cont_end_date . "',
								cont_reg_date='" . $data->cont_reg_date . "',
								when_created='" . $data->when_created . "',
								who_created='" . $data->who_created . "',
								aqaar_id='" . $data->aqaar_id . "',
								payment_every_what='" . $data->payment_every_what . "'
								WHERE id=" . $data->id;
    //echo $query;
    return return_result($query);
}

function update_amlak_contracts_is_renew($id) {
    $query = "UPDATE amlak_contracts SET is_renew=1 WHERE id=$id";
    return return_result($query);
}

//-------- Change the bluiding_status to 'for_rent'
function change_bluiding_status_to_for_rent($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_amlak SET bluiding_status = 'for_rent' WHERE id = $data->aqaar_id";
    //echo $query;
    return return_result($query);
}

function get_allby_user_id($table_name, $id, $kind, $name) {

    if ($kind == "سند قبض")
        $query = "SELECT * FROM $table_name where `ranter_id` = '" . $id . "'  and cont_end_date >=" . strtotime("now") . " ";

    if ($kind == "سند صرف")
        $query = "SELECT * FROM $table_name where `owner_id` = '" . $id . "' and cont_end_date >=" . strtotime("now") . " ";

    if ($kind == "-1")
        $query = "SELECT * FROM $table_name where ( `ranter_id` = '" . $id . "' OR `owner_id` = '" . $id . "' ) and cont_end_date >=" . strtotime("now") . " ";

    //echo $query;
    return return_json($query);
}

function get_all_by_cont_id_and_cont_kind($table_name, $id, $kind) {

    //if($kind=="سند قبض")
//	$query = "SELECT * FROM $table_name where `cont_id` = '".$id."'  and ( is_complete_g = '0' ) ";
//	
//	if($kind=="سند صرف")
//	$query = "SELECT * FROM $table_name where `cont_id` = '".$id."'  and is_complete_p = '0' ";
//	
//	if($kind=="-1")
    $query = "SELECT * FROM $table_name where `cont_id` = '" . $id . "' and got_or_pay='$kind' ";

    $query .= " ORDER BY id DESC";
    //echo $query;
    return return_json($query);
}

function get_all_by_money_id_and_current_date($table_name, $id) {

    $query = "SELECT * FROM payments where `cont_id` = '" . $id . "' and is_complete_g=0 and date <= " . time() . " ORDER BY id ASC ";

    //echo $query;
    return return_json($query);
}

function get_all_by_money_payments_id($table_name, $id, $order = '') {

    $query = "SELECT * FROM $table_name where `cont_id` = '" . $id . "' $order ";

    //echo $query;
    return return_json($query);
}

function get_all_money($data, $count = "", $perpage = "", $t = "amlak_money", $order = "id") {
    if (is_array($data) && count($data)) {
        $where = "WHERE " . implode(" AND ", $data);
    }else
        $where = '';

    $query = "SELECT * FROM $t $where ORDER BY $t.$order DESC ";

    if ($count != "" || $perpage != "")
        $query .="LIMIT " . $count . "," . $perpage;

    //echo "$query<br>";
    return return_json($query);
}

function search_all_contracts($table_name, $id, $contract_name, $owner_name, $ranter_name, $rest_payment1, $rest_payment2, $cont_reg_date, $cont_end_date, $reg_reg_date, $reg_end_date, $payment_start_date, $payment_end_date, $got_payment = "0", $pay_payment = "0", $count = "", $perpage = "", $near_end = "", $owner_id = "", $id_aqar = '', $select_bluiding = '', $under_office = 0, $without_end = 0, $not_outcoming=0) {


    $query = "select distinct `amlak_contracts`.`id`,`amlak_contracts`.`contrato_kind`,`amlak_contracts`.`ranter_name`,`amlak_contracts`.`ranter_id`,`amlak_contracts`.`owner_name`,`amlak_contracts`.`owner_id`,`amlak_contracts`.`amlak_kind`,`amlak_contracts`.`phone_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`job_number`,`amlak_contracts`.`mobile`,`amlak_contracts`.`job_where`,`amlak_contracts`.`annual_payment`,`amlak_contracts`.`payment_for_now`,`amlak_contracts`.`rest_payment`,`amlak_contracts`.`next_year_rent`,`amlak_contracts`.`payment_as_parts`,`amlak_contracts`.`gloable_notes`,`amlak_contracts`.`contrato_images`,`amlak_contracts`.`Contracts_text`,`amlak_contracts`.`cont_end_date`,`amlak_contracts`.`cont_reg_date`,`amlak_contracts`.`when_created`,`amlak_contracts`.`who_created`,`amlak_contracts`.`aqaar_id`,`amlak_contracts`.`payment_every_what`  ";

    $flag = false;
    $pay = 0;
    $cont_reg_date = $cont_reg_date < 0 ? '' :$cont_reg_date;
    $cont_end_date = $cont_end_date < 0 ? '' :$cont_end_date;
    $reg_reg_date = $reg_reg_date < 0 ? '' :$reg_reg_date;
    $reg_end_date = $reg_end_date < 0 ? '' :$reg_end_date;
    $payment_start_date = $payment_start_date < 0 ? '' :$payment_start_date;
    
//echo "1- $id,<br />2- $contract_name,<br />3- $owner_name,<br />4- $ranter_name,<br />5- $rest_payment1,<br />6- $rest_payment2,<br />7- $cont_reg_date,<br />8- $cont_end_date,<br />9- $reg_reg_date,<br />10- $reg_end_date,<br />11- $payment_start_date,<br />12- $payment_end_date<br />$under_office<br>";


    if (($select_bluiding != '' && $select_bluiding != 0) || $id_aqar != '' || $id != "" || $contract_name != "" || $owner_name != "" || $ranter_name != "" || $rest_payment1 != "" || $rest_payment2 != "" || $cont_reg_date != "" || $cont_end_date != "" || $reg_reg_date != "" || $reg_end_date != "" || $payment_start_date != "" || $payment_end_date != "" || $near_end || $owner_id || $under_office || $without_end || $select_bluiding != "" || $got_payment != '' || $pay_payment != '') {
        $query .=" from amlak_contracts ";

        if ($contract_name != "")
            $query .=" ,contract_texts ";

        if ($payment_start_date != "" && $payment_end_date != "") {
            $query .=" ,payments ";
            $pay++;
        }

        if ($under_office || $near_end)
            $query .=" ,amlak_amlak ";

        if (!($payment_start_date != "" && $payment_end_date != "") && ($got_payment != '' || $pay_payment != '')) {
            $query .=" ,payments";
            $pay++;
        }


        $query .= "  where ";
    } else {

        $query .=" from amlak_contracts ";
    }

    
    if ($id != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`id` = '" . $id . "'  )";
        $flag = true;
    }
    
    if ($id_aqar != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`aqaar_id` =   $id_aqar  )";
        $flag = true;
    }

    if (!empty($select_bluiding)) {
        if ($flag)
            $query .="  and ";
        $now = time();

        $query .=" `amlak_contracts`.`id` IN ( SELECT id FROM `amlak_contracts` WHERE `cont_end_date` > $now AND `aqaar_id` IN ( SELECT aqar_id FROM `build_aqar_ids` WHERE `build_id` IN( SELECT id FROM `buliding_names` WHERE `name` = '$select_bluiding' ) ) )";
        //echo "$query<br>";
        $flag = true;
    }
    
    if ($under_office) {
        if ($flag)
            $query .="  and ";

        $query .="(amlak_contracts.aqaar_id = amlak_amlak.id AND `amlak_amlak`.`under_office` =   1  )";
        $flag = true;
    }
    
    if ($without_end) {
        if ($flag)
            $query .="  and ";
        $time = time();
        $query .="(amlak_contracts.cont_end_date >= $time  )";
        $flag = true;
    }
    
    if ($select_bluiding != "" && $select_bluiding != 0) {
        if ($flag)
            $query .="  and ";

        $ex = explode(",", $select_bluiding);
        foreach ($ex as $val)
            if ($val != '')
                $arr[] = $val;

        $select_bluiding = implode(",", $arr);

        //echo "(`amlak_contracts`.`aqaar_id` IN   ($select_bluiding)  )";
        $query .="(`amlak_contracts`.`aqaar_id` IN   ($select_bluiding)  )";
        $flag = true;
    }


    if ($contract_name != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`contract_texts`.`contract_name` like '%" . $contract_name . "%' and `amlak_contracts`.`contrato_kind` = `contract_texts`.`id`) ";
        $flag = true;
    }


    if ($owner_name != "") {
        if ($flag)
            $query .="  and ";
        $owner_name = explode(" -- ", $owner_name);
        $owner_name = $owner_name[0];
        $query .="(`amlak_contracts`.`owner_name` like '%" . $owner_name . "%'  )";
        $flag = true;
    }

    if ($owner_id != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`owner_id` = $owner_id  )";
        $flag = true;
    }


    if ($ranter_name != "") {
        if ($flag)
            $query .="  and ";
        $ranter_name = explode(" -- ", $ranter_name);
        $ranter_name = $ranter_name[0];
        $query .="(`amlak_contracts`.`ranter_name` like '%" . $ranter_name . "%'  )";
        $flag = true;
    }


    if ($rest_payment1 != "" && $rest_payment2 != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`rest_payment` between " . str_replace(",", "", $rest_payment1) . " and " . $rest_payment2 . " or `amlak_contracts`.`annual_payment` between " . $rest_payment1 . " and " . $rest_payment2 . ") ";
        $flag = true;
    }


    if ($cont_reg_date != "" && $cont_end_date != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`cont_end_date` between " . $cont_reg_date . " and " . $cont_end_date . ") ";
        $flag = true;
    }


    if ($near_end) {
        if ($flag)
            $query .="  and ";

        $query.="(cont_end_date < " . strtotime("+ 30 day") . " and cont_end_date >= " . strtotime("now") . ") AND is_renew=0 ";
        $flag = true;
    }


    if ($payment_start_date != "" && $payment_end_date != "") {
        if ($flag)
            $query .=" and ";
        $query .=" ( ";

//      $pay_payment = ($pay_payment == '')?0:1;
        //$got_payment1= --$got_payment < 0 ? 1 :0;
        $f = 0;
        if ($payment_start_date != '') {
            if ($_REQUEST['out_interval'] != '1') {
                $query .="(`payments`.`date` >= $payment_start_date AND `payments`.`is_complete_g` = 0  and `amlak_contracts`.`id` = `payments`.`cont_id` ) ";
                $f++;
            }
        }

        if ($payment_end_date != '')
            $query .= ($f ? ' AND ' : '') . "(`payments`.`date` <= $payment_end_date AND `payments`.`is_complete_g` = 0  and `amlak_contracts`.`id` = `payments`.`cont_id`  ) ";

        $query .=" )";
        $flag = true;
    }
    //var_dump($got_payment,$pay_payment );
    if ($pay && (!empty($got_payment) || !empty($pay_payment))) {
        if ($flag)
            $query .=" and ";
        $got_payment = $got_payment ? 1 : 0;
        $pay_payment = $pay_payment ? 1 : 0;
        $query .="((`payments`.`is_complete_g` = $got_payment and `amlak_contracts`.`id` = `payments`.`cont_id` ) AND (`payments`.`is_complete_p` = $pay_payment and `amlak_contracts`.`id` = `payments`.`cont_id` )) ";

        $flag = true;
    }
    // I WILL COME TO YOU LETER 
    if($not_outcoming){
        // old slow v
        /*$not_where = array();
        if(!empty($payment_start_date))
            $not_where[] = "`event_date` >= $payment_start_date";
        if(!empty($payment_end_date))
            $not_where[] = "`event_date` <= $payment_end_date";
        $id_array = array();
        
        $all = json_decode(return_json("SELECT DISTINCT `cont_id` FROM amlak_money ".((!empty($not_where))?"WHERE":"").implode(' AND ',$not_where)));
        if (isset($_GET['d'])){ 
            
        echo "$query<br>";
        print_r($not_where);echo '<br/>';
        echo $all->rowcount;
         
        }
        for($i=0; $i<$all->rowcount; $i++){
          
            if(empty($all->{$i}->cont_id))
                continue;
            $kbd_val = json_decode(return_json("SELECT SUM(`how_much`) As `value` FROM amlak_money WHERE cont_id ='" . $all->{$i}->cont_id . "' AND  `money_kind`='سند قبض'"));
            if(!isset($kbd_val->{0}->value) || empty($kbd_val->{0}->value))
                continue;
            $srf_val = json_decode(return_json("SELECT SUM(`how_much`) As `value` FROM amlak_money WHERE cont_id ='" . $all->{$i}->cont_id . "' AND  `money_kind`='سند صرف'"));
            if(!isset($srf_val->{0}->value) || empty($srf_val->{0}->value)){
                $id_array[] = $all->{$i}->cont_id; }  
            else if($kbd_val->{0}->value > $srf_val->{0}->value){
                $id_array[] = $all->{$i}->cont_id;  }
        }
        
        if(!empty($id_array)){
            if($flag)
                $query .= " AND ";
            else
                $query .= "  where ";
                
            $query .=" `amlak_contracts`.`id` IN (".implode(',',$id_array).") ";
            $flag = true;
        }*/
        //new v 
        if($flag)
                $query .= " AND ";
            else
                $query .= "  where ";
                
        $query .= " `is_bill` = '1' ";
        ///echo $query;
    }
    

//    if(!empty($pay_payment)){
//        if($flag )
//            $query .=" and ";
//        
//        $query .="(`payments`.`is_complete_p` = $pay_payment and `amlak_contracts`.`id` = `payments`.`cont_id` ) ";
//        
//        $flag = true;
//    }



    if ($reg_reg_date != "" && $reg_end_date != "") {
        if ($flag)
            $query .="  and ";

        $query .="(`amlak_contracts`.`cont_reg_date` <= " . $reg_reg_date . " and `amlak_contracts`.`cont_reg_date` >= " . $reg_end_date . ") ";
        $flag = true;
    }

    if ($payment_start_date != "" && $payment_end_date != "")
        $query .=" order by `payments`.date , amlak_contracts.id DESC ";
    else
        $query .=" order by amlak_contracts.id DESC ";

    if ($count != "" || $perpage != "")
        $query .="LIMIT " . $count . "," . $perpage;
    //exit;

    if (isset($_GET['d'])){
        //$query .= " AND `payments`.`is_complete_g`=0";
        echo "$query<br>";
    }
        
    return return_json($query);
}

// ----------amlak_contracts table functions -----------------------
// ----------÷insert amlak_money data-----------------------
function insert_amlak_money_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_money (money_kind,contrato_id,how_much,owner_id,owner_name,user_id,user_name,event_date,check_number,bank_name,bank_number,bank_branch_number,check_payment_date,gloable_notes,money_images,when_created,who_created,payment_way,hewala_num,hewala_payment_date,on_bank,cont_id,for_mantance) VALUES ('" . $data->money_kind . "','" . $data->cont_id . "','" . $data->how_much . "','" . $data->owner_id . "','" . $data->owner_name . "','" . $data->user_id . "','" . $data->user_name . "','" . $data->event_date . "','" . $data->check_number . "','" . $data->bank_name . "','" . $data->bank_number . "','" . $data->bank_branch_number . "','" . $data->check_payment_date . "','" . $data->gloable_notes . "','" . $data->money_images . "','" . $data->when_created . "','" . $data->who_created . "','" . $data->payment_way . "','" . $data->hewala_num . "','" . $data->hewala_payment_date . "','" . $data->on_bank . "','" . $data->cont_id . "','" . $data->for_mantance . "')";

    //echo "$query<br>";
    return @return_result($query);
}

function insert_amlak_money_data_with_id($data) {
    $data = json_decode($data);
    $query = "INSERT INTO amlak_money (id,money_kind,contrato_id,how_much,owner_id,owner_name,user_id,user_name,event_date,check_number,bank_name,bank_number,bank_branch_number,check_payment_date,gloable_notes,money_images,when_created,who_created,payment_way,hewala_num,hewala_payment_date,on_bank,cont_id,for_mantance) VALUES ('" . $data->id . "','" . $data->money_kind . "','" . $data->cont_id . "','" . $data->how_much . "','" . $data->owner_id . "','" . $data->owner_name . "','" . $data->user_id . "','" . $data->user_name . "','" . $data->event_date . "','" . $data->check_number . "','" . $data->bank_name . "','" . $data->bank_number . "','" . $data->bank_branch_number . "','" . $data->check_payment_date . "','" . $data->gloable_notes . "','" . $data->money_images . "','" . $data->when_created . "','" . $data->who_created . "','" . $data->payment_way . "','" . $data->hewala_num . "','" . $data->hewala_payment_date . "','" . $data->on_bank . "','" . $data->cont_id . "','" . $data->for_mantance . "')";

    return return_result($query);
}

// ----------Delete amlak_contracts  Data -----------------------
function delete_amlak_money_data($id) {
    $query = "DELETE FROM  `amlak_money` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update amlak_contracts  Data -----------------------
function update_amlak_money_values($data) {
    $data = json_decode($data);
    $query = "UPDATE amlak_money SET 
								money_kind='" . $data->money_kind . "',
								contrato_id='" . $data->contrato_id . "',
								how_much='" . $data->how_much . "',
								owner_id='" . $data->owner_id . "',
								owner_name='" . $data->owner_name . "',
								user_id='" . $data->user_id . "',
								user_name='" . $data->user_name . "',
								event_date='" . $data->event_date . "',
								check_number='" . $data->check_number . "',
								bank_name='" . $data->bank_name . "',
								bank_number='" . $data->bank_number . "',
								bank_branch_number='" . $data->bank_branch_number . "',
								check_payment_date='" . $data->check_payment_date . "',
								gloable_notes='" . $data->gloable_notes . "',
								money_images='" . $data->money_images . "',
								when_created='" . $data->when_created . "',
								who_created='" . $data->who_created . "',
								payment_way='" . $data->payment_way . "',
								hewala_num='" . $data->hewala_num . "',
								hewala_payment_date='" . $data->hewala_payment_date . "',
								on_bank='" . $data->on_bank . "',
								cont_id='" . $data->cont_id . "',
								for_mantance='" . $data->for_mantance . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------contract_texts table functions -----------------------
// ----------÷insert contract_texts data-----------------------
function insert_contract_texts_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO contract_texts (contract_name,contract_text,when_created,who_created) VALUES ('" . $data->contract_name . "','" . $data->contract_text . "','" . $data->when_created . "','" . $data->who_created . "')";

    return return_result($query);
}

// ----------Delete contract_texts  Data -----------------------
function delete_contract_texts_data($id) {
    $query = "DELETE FROM  `contract_texts` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update contract_texts  Data -----------------------
function update_contract_texts_values($data) {
    $data = json_decode($data);
    $query = "UPDATE contract_texts SET 
								contract_name='" . $data->contract_name . "',
								contract_text='" . $data->contract_text . "',
								when_created='" . $data->when_created . "',
								who_created='" . $data->who_created . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------countryDalc table functions -----------------------
// ----------÷insert countryDalc data-----------------------
function insert_country_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO country (name) VALUES ('" . $data->name . "')";

    return return_result($query);
}

// ----------Delete countryDalc  Data -----------------------
function delete_country_data($id) {
    $query = "DELETE FROM  `country` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update countryDalc  Data -----------------------
function update_country_values($data) {
    $data = json_decode($data);
    $query = "UPDATE country SET 
								name='" . $data->name . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------cityDalc table functions -----------------------
// ----------÷insert cityDalc data-----------------------
function insert_city_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO city (country_id,name,mantaka_id) VALUES ('" . $data->country_id . "','" . $data->name . "','" . $data->mantaka_id . "')";

    return return_result($query);
}

// ----------Delete cityDalc  Data -----------------------
function delete_city_data($id) {
    $query = "DELETE FROM  `city` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update cityDalc  Data -----------------------
function update_city_values($data) {
    $data = json_decode($data);
    $query = "UPDATE city SET 
								country_id='" . $data->country_id . "',
								name='" . $data->name . "',
								mantaka_id='" . $data->mantaka_id . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

function get_all_country_id($table_name, $country_id) {
    $query = "SELECT * FROM $table_name where country_id = $country_id order by name";

    return return_json($query);
}

function get_all_mantaka_id($table_name, $mantaka_id) {
    $query = "SELECT * FROM $table_name where mantaka_id = $mantaka_id order by name";

    return return_json($query);
}

function get_all_city_id($table_name, $city_id) {
    $query = "SELECT * FROM $table_name where city_id = $city_id order by name";

    return return_json($query);
}

// ----------mantakaDalc table functions -----------------------
// ----------÷insert mantakaDalc data-----------------------
function insert_mantaka_data($data) {
    $data = json_decode($data);
    $query = "INSERT INTO mantaka (country_id,name) VALUES ('" . $data->country_id . "','" . $data->name . "')";

    return return_result($query);
}

// ----------Delete mantakaDalc  Data -----------------------
function delete_mantaka_data($id) {
    $query = "DELETE FROM  `mantaka` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update mantakaDalc  Data -----------------------
function update_mantaka_values($id) {
    $aqar = json_decode(get_all_by_id("amlak_amlak", $id));
    $new = ++$aqar->{0}->count_sends;
    $query = "UPDATE amlak_amlak SET count_sends = $new  WHERE id=$id";
    return return_result($query);
}

function increament_send_counter_4_aqar($id) {
    $query = "UPDATE mantaka SET 
								country_id='" . $data->country_id . "',
								name='" . $data->name . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------contract_texts table functions -----------------------
// ----------÷insert contract_texts data-----------------------
function insert_users_groups($data) {
    $data = json_decode($data);
    $query = "INSERT INTO users_groups (name,ids) VALUES ('" . $data->name . "','" . $data->ids . "')";

    return return_result($query);
}

// ----------Delete contract_texts  Data -----------------------
function delete_users_groups($id) {
    $query = "DELETE FROM  `users_groups` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ----------Update contract_texts  Data -----------------------
function update_users_groups($data) {
    $data = json_decode($data);
    $query = "UPDATE users_groups SET 
								name='" . $data->name . "',
								ids='" . $data->ids . "'
								WHERE id=" . $data->id;
    return return_result($query);
}

// ----------replies  table functions -----------------------
// return sample : {"rowcount":74,"0":{"id":"269","license_id":"1","reply_text":"reply text here","reply_date":"1236602676","sender":"saad","sender_id":"1"},"1":{"id":"270","license_id":"1","reply_text":"reply text here","reply_date":"1236602691","sender":"saad","sender_id":"1"},....}

function get_replies_by_order_id($order_id) {
    $query = "SELECT *  FROM replies WHERE `order_id` = '" . $order_id . "'  ORDER BY reply_date";
    return return_json($query);
}

//  $data sample :{"license_id":"1","reply_text":"reply text here","sender":"saad","sender_id":"1"}
function insert_reply($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `replies` (`order_id` ,`reply_text` ,`reply_date` ,`sender` ,`sender_id`,`status`) VALUES ( '" . $data->order_id . "',  '" . $data->reply_text . "',  '" . (intval(microtime(true))) . "',  '" . $data->sender . "',  '" . $data->sender_id . "' , '" . $data->status . "')";
    return return_result($query);
}

// ---------- lic_services table functions -----------------------
// return sample :{"rowcount":1,"0":{"id":"1","service_name":"renew"}}



function get_lic_service_by_id($id) {
    $query = "SELECT *  FROM lic_services WHERE `id` = '" . $id . "' ";
    return return_json($query);
}

function insert_lic_service($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `lic_services` (`service_name`) VALUES ( '" . $data->sender_id . "')";
    return return_result($query);
}

function update_lic_service($data) {
    $data = json_decode($data);
    $query = "UPDATE  `lic_services` SET  `service_name` = '" . $data->service_name . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

function delet_lic_service_by_id($id) {
    $query = "DELETE FROM  `lic_services` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ---------- authorities table functions -----------------------
function get_auth_by_id($id) {
    $query = "SELECT *  FROM authorities WHERE `id` = '" . $id . "' ";
    return return_json($query);
}

function insert_auth($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `authorities` (`responsible`,`hint`,`how_to`) VALUES ( '" . $data->responsible . "','" . $data->hint . "','" . $data->how_to . "')";
    return return_result($query);
}

function update_auth($data) {
    $data = json_decode($data);
    $query = "UPDATE  `lic_services` SET  `responsible` = '" . $data->responsible . "',`hint` = '" . $data->hint . "',`how_to` = '" . $data->how_to . "' WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

function delet_auth_by_id($id) {
    $query = "DELETE FROM  `lic_services` WHERE  `id` ='" . $id . "' ";
    return return_result($query);
}

// ---------- up_activities table functions -----------------------
function getall_up_activ() {
    $query = "SELECT *  FROM up_activities ";
    return return_json($query);
}

function get_up_activ_by_id($id) {
    $query = "SELECT *  FROM up_activities WHERE `id` = '" . $id . "' ";
    return return_json($query);
}

function insert_up_activ($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `up_activities` (`up_activity_name`) VALUES ( '" . $data->up_activity_name . "')";
    return return_result($query);
}

function update_up_activ($data) {
    $data = json_decode($data);
    $query = "UPDATE  `up_activities` SET  `up_activity_name` = '" . $data->up_activity_name . "' WHERE  `id` =" . $data->id . " ";
    return return_result($query);
}

function delet_up_activ_id($id) {
    $query = "DELETE FROM  `up_activities` WHERE  `id` =" . $id . " ";
    return return_result($query);
}

// ---------- activities table functions -----------------------
function get_activ_by_id($id) {
    $query = "SELECT *  FROM activities WHERE `activity_code` = " . $id . " ";
    return return_json($query);
}

function get_activ_by_up_act_id($id) {
    $query = "SELECT *  FROM activities WHERE `up_activity_id` = " . $id . " ";
    return return_json($query);
}

function insert_activ($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `activities` (`activity_code`, `activity_name`, `activity_set`, `activity_sub_set`, `up_activity_id`) VALUES ( '" . $data->activity_code . "', '" . $data->activity_name . "', '" . $data->activity_set . "', '" . $data->activity_sub_set . "', '" . $data->up_activity_id . "')";
    return return_result($query);
}

function update_activ($data) {
    $data = json_decode($data);
    $query = "UPDATE  `activities` SET   `activity_name`='" . $data->activity_name . "' , `activity_set`='" . $data->activity_set . "' , `activity_sub_set`='" . $data->activity_sub_set . "' , `up_activity_id` = '" . $data->up_activity_id . "' WHERE  `activity_code` ='" . $data->activity_code . "' ";
    return return_result($query);
}

function delet_activ_id($id) {
    $query = "DELETE FROM  `activities` WHERE  `activity_code` =" . $id . " ";
    return return_result($query);
}

// ---------- licnese table functions -----------------------
function get_c_lic_by_id($id) {
    $query = "SELECT *  FROM licenses WHERE `id` = '" . $id . "' ";
    return return_json($query);
}

function c_lic_set_passcod_by_id($data) {
    $data = json_decode($data);
    $query = "UPDATE  `licenses` SET   `order_id`='" . $data->order_id . "' ,`order_passcode`='" . $data->order_passcode . "'    WHERE  `id` ='" . $data->id . "' ";
    return return_result($query);
}

function c_lic_get_by_passcod($data) {
    $data = json_decode($data);
    $query = "SELECT *  FROM `licenses` WHERE   `order_id`='" . $data->order_id . "' AND `order_passcode`='" . $data->order_passcode . "' ";
    return return_json($query);
}

function c_lic_get_by_id($data) {
    $data = json_decode($data);
    $query = "SELECT *  FROM `licenses` WHERE   `order_id`='" . $data->order_id . "' ";
    return return_json($query);
}

function c_lic_get_by_page($data) {
    $data = json_decode($data);
    $query = "SELECT `order_id` ,`service_id` ,`order_date` ,`lic_no` ,`lic_owner_name` ,`approved`  FROM `licenses`  ORDER BY  `" . $data->order_by . "` " . $data->order_dir . " LIMIT " . ($data->page * 20) . " , 20";
    $num_of_rows = json_decode(c_lic_get_no_of_rows());
    $reply = json_decode(return_json($query));
    $reply->num_of_rows = $num_of_rows->{0}->num_of_rows;
    return json_encode($reply);
}

function c_lic_get_no_of_rows() {
    $query = "SELECT count(id) as num_of_rows FROM `licenses` ";
    return return_json($query);
}

function c_lic_get_draw_by_id($data) {
    $data = json_decode($data);
    $query = "SELECT  `id` , `draw_text` FROM  `licenses` WHERE  `id` ='" . $data->id . "' ";
    return return_json($query);
}

function c_lic_approved_by_id($data) {
    $data = json_decode($data);
    $query = "UPDATE  `licenses` SET   `approved`='" . $data->status . "'  WHERE  `order_id` ='" . $data->order_id . "' ";
    return return_result($query);
}

function clear_pay_sent($id = '') {
    $where = !empty($id) ? "id = $id" : "1";
    //$data=json_decode($data);
    $query = "UPDATE  `amlak_contracts` SET   `pay_sent`=''  WHERE  $where";
    return return_result($query);
}

// ---------- auth_activ table functions -----------------------
function get_auths_for_activ($id) {
    $query = "SELECT *  FROM auth_activ WHERE `activ_id` = '" . $id . "' ";
    return return_json($query);
}

function insert_auth_activ($data) {
    $data = json_decode($data);
    $query = "INSERT INTO  `auth_activ` (`activ_id`, `auth_id`) VALUES ( '" . $data->activ_id . "', '" . $data->auth_id . "')";
    return return_result($query);
}

function delet_activ_auth($data) {
    $data = json_decode($data);
    $query = "DELETE FROM  `auth_activ` WHERE  `activ_id` ='" . $data->activ_id . "'  AND `auth_id` ='" . $data->auth_id . "'";
    return return_result($query);
}

function formatMoney($number, $fractional = true) {
    if ($fractional) {
        $number = sprintf('%.2f', $number);
    }
    while (true) {
        $replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
        if ($replaced != $number) {
            $number = $replaced;
        } else {
            break;
        }
    }
    return $number;
}

function write_text_from_number($num, $one, $one_text, $two, $more) {
    //echo "(($num - ))";
    if ($num == 1)
        $text = "$one $one_text";
    elseif ($num == 2)
        $text = "$two";
    elseif ($num >= 3 && $num <= 10)
        $text = "$num $more";
    elseif ($num > 10)
        $text = "$num $one";
    //echo "($text)";
    return $text;
}

//used in print.php
function explode_borders($street_name, $dir) {
    $sp = explode(" ", $street_name);
    return ($sp[0] == "شارع" || $sp[0] == "ممر" || $sp[0] == "الدائري") ? "$sp[0] $dir $sp[1]م " : "جار $dir";
}

function explode_borders_cont($street_name) {
    $sp = explode(" ", $street_name);
    //return ($sp[0] == "شارع" || $sp[0] == "ممر")?"$sp[0] $dir $sp[1]م":"جار $dir";
    return $sp[0];
}

function send_sms($msg = '', $renter_mobile = 0, $flag_for_insert = 0, $insert_mob = 0) {
    //echo "Send sms function\n";    
    require_once "include/sms.php";
    require_once "include/phpmailer.php";

    $sms = new sms();


    if ($msg != '' && $renter_mobile) {
        if ($flag_for_insert) {
            $res = $sms->sendSMS($renter_mobile, $msg);
            $stat = $res ? 'success' : $sms->getStatus();
            //echo $stat;
            get_query("INSERT INTO `dabaanca_amlak`.`archive` 
    (`id`, type, cont_id, `ranter_id`, `date`, `txt`, opNo , stat) 
    VALUES (NULL, 'bounds', '" . $_POST["cont_id"] . "','" . ($insert_mob ? $renter_mobile : $_POST["user_id"]) . "', '" . time() . "', '" . $msg . "', '" . $sms->opNo . "', '" . $stat . "')");
        }
        return 1;
    }
    $time = time();
    //$mail = new PHPMailer(true);
    //$mail->SetFrom("ads@aldabaan.com.sa", "test");
    //echo "SELECT * FROM `sms_alerts` WHERE `when_sent` <= ".time()." AND `is_sent` = 0<br />";
    $sql = "SELECT * FROM `sms_alerts` WHERE `when_sent` <= $time AND `is_sent` = 0";
    $res_renters = return_json($sql);
    //file_put_contents('logs_pay/log.txt',$res_renters."\n\n\n",FILE_APPEND);
    $renters = json_decode($res_renters);
    //echo "\n($renters->rowcount)\n";
    //mail('abdullah@tanween.com.sa','Aldabaan','No. of records are '.$renters->rowcount);
    //echo $renters->{0}->ranter_name." - asdasd<br>";
    //var_dump($renters);

    for ($i = 0; $i < $renters->rowcount; $i++) {

        payment_update($renters->{$i}->cont_id);

        $renter = json_decode(return_json("SELECT `mobile`, id FROM `amlak_users` WHERE `id` = " . $renters->{$i}->ranter_id));

        $send = 1;

        $aqar = json_decode(return_json("SELECT aqaar_id FROM `amlak_contracts` WHERE `id` = " . $renters->{$i}->cont_id));
        $is_there_new_cont = json_decode(get_all_order_by("amlak_contracts", "cont_reg_date > " . time() . " AND aqaar_id = " . $aqar->{0}->aqaar_id . ' AND ranter_id=' . $renters->{$i}->ranter_id));

        $is_paied = json_decode(get_all_order_by("payments", "id = " . $renters->{$i}->pay_id . " AND is_complete_g = 1"));

        if ($renters->{$i}->pay_id == -1 && $is_there_new_cont->rowcount > 0) {
            $send = 0;
        }

        if ($is_paied->rowcount > 0){
            return_result("DELETE FROM `dabaanca_amlak`.`sms_alerts` WHERE  `sms_alerts`.`id` = " . $renters->{$i}->id);
            $send = 0;
        }
            

        //echo $renters->{$i}->pay_id.'<br />'.$renter->{0}->mobile.'<br />'.$renters->{$i}->sms_text."<br />";
        //echo "<br><br>".$renters->{$i}->sms_text."((((($send)))))<br>";

        if ($send) {
            $sms->sendSMS($renter->{0}->mobile, $renters->{$i}->sms_text);
            return_result("DELETE FROM `dabaanca_amlak`.`sms_alerts` WHERE  `sms_alerts`.`id` = " . $renters->{$i}->id);
            if ($renters->{$i}->pay_id != -1){
//                echo "UPDATE  `dabaanca_amlak`.`payments` SET  `is_sent` =  1 WHERE date <= $time AND cont_id =  " . $renters->{$i}->cont_id."<br>";
                return_result("UPDATE  `dabaanca_amlak`.`payments` SET  `is_sent` =  1 WHERE date <= $time AND cont_id =  " . $renters->{$i}->cont_id);
            }
                
            else
                return_result("UPDATE  `dabaanca_amlak`.`amlak_contracts` SET  `is_sent` =  1 WHERE id = " . $renters->{$i}->cont_id);

            update_cont_pay($renters->{$i}->cont_id);



            $stat = 'success';
        }


        get_query("INSERT INTO `dabaanca_amlak`.`archive` 
    (`id`, type, cont_id, `ranter_id`, `date`, `txt`, opNo , stat)  
    VALUES (NULL, 'pay', '" . $renters->{$i}->cont_id . "','" . $renter->{0}->id . "', '" . time() . "', '" . $renters->{$i}->sms_text . "', '" . $sms->opNo . "', '" . $stat . "')");

    }
}

function semsar_send($id) {
    global $msg;
    //if($semsars->rowcount){
    //update_mantaka_values($id);
    $kind = json_decode(get_all_by_kind_id("amlak_kinds", $_POST["kind_id"]));

    if ($_POST['bluiding_status'] == 'for_rent')
        $stat = 'للايجار';
    if ($_POST['bluiding_status'] == 'for_sell')
        $stat = 'للبيع';

    $city = json_decode(get_all_by_id('city', $_POST['city_id']));
    $neightboor = json_decode(get_all_by_id('amlak_ahiaa', $_POST['neightboor']));

    //$part_number = !empty($part_number)?"رقم القطعة:$part_number":"";

    $street_name = !empty($_POST['street_name']) ? " شارع " . $_POST['street_name'] : "";

    $area = !empty($_POST['area']) ? "بمساحة:" . ($_POST['area']) . "م" : "";



    $price = !empty($_POST['sell']) && $_POST['sell'] != 0 ? "البيع:" . intval($_POST['sell']) . " ريال" : "";
    $price = !empty($_POST['al_soom']) && $_POST['al_soom'] != 0 ? "$price\nالسوم:" . intval($_POST['al_soom']) . " ريال" : "$price";
    $price = !empty($_POST['rent']) && $_POST['rent'] != 0 ? "السعر:" . intval($_POST['rent']) . " ريال" : "$price";

    $type = $_POST['bluiding_number'] != -1 ? $_POST['bluiding_number'] : "";

    $msg = $kind->{0}->name . " $type $stat\n";
    $msg .= "عقار رقم " . $id;
    //$msg .= " في ".$city->{0}->name;
    $msg .= " حي " . $neightboor->{0}->name;
    $msg .= "$street_name";
    //$msg .= "\n$part_number";
    $msg .= "\n$area";
    $msg .= "\n$price";
    $msg .= "\nwww.aldabaan.com.sa";

    if (!isset($_POST['send_to_semsars']))
        return $msg;
    form_sms($msg, "message", true, "set_path.php?page=amlakInfo&task=send_to_semsar", $id);
    return $msg;
    //for($j=0;$j<$semsars->rowcount ; $j++) {
    //send_sms($msg,$semsars->{$j}->mobile);
}

//}
//var_dump(get_included_files());

function form_sms($msg = '', $name = "message", $is_submit = true, $path = "set_path.php?page=amlakInfo&task=send_to_semsar", $idamlak = 0) {
    ?>
    <script type="text/javascript">
        function charPlus()
        {
             
            var strLen=0;
            //alert(jQuery("textarea[name=<?php echo $name ?>]").val());
            var strText = jQuery("textarea[name=<?php echo $name ?>]").val();
             
            var test ="";
            for (i=0; i<strText.length; i++)
            {
                if(strText.charCodeAt(i)!=13)
                    strLen++;
                if(strText.charCodeAt(i)==10)
                    strLen++;
            }

            jQuery("input[name=Chars]").val(strLen) ;
            var numChar= strLen;
            if (unicodeE(jQuery("textarea[name=<?php echo $name ?>]").val()))
            {
                jQuery("input[name=thelang]").val(1) ;
                var counterI=0;
                if(numChar>70)
                    while(numChar>0)
                {
                    numChar -=67;
                    counterI++;
                }
                else
                    counterI++;
                jQuery("input[name=Segments]").val(counterI) ;
            }
            else
            {
                jQuery("input[name=thelang]").val(0) ;
                counterI=0;
                if(numChar>160)
                    while(numChar>0)
                {
                    numChar -=153;
                    counterI++;
                }
                else
                    counterI++;
             
                jQuery("input[name=Segments]").val(counterI) ;
            }
             
             
             
        }
        function unicodeE(strText)
        {
            var str = "دجحخهعغفقثصضطكمنتالبيسشظزوةىلارؤءئإلإألأآلآ،؛؟ءآأؤإئابةتثجحخدذرزسشصضطظعغفقكلمنه'©®÷×§وىيـًٌٍَُِّْ";
            for (i=0; i<strText.length; i++)
            if (str.indexOf(strText.charAt(i)) != -1)
                return 1;
            return 0;
        }
        jQuery(document).ready(function (){
            charPlus();
        })
    </script>
    <?php if ($is_submit) { ?>
        <form method="post" name="sendsmsform" action="<?php if ($idamlak == 0) echo $path;else echo "$path&idamlak=$idamlak" ?>">
            <h3>نص رسالة السماسرة</h3>
        <?php } ?>
        <textarea name="<?php echo $name; ?>" rows="7" cols="29" onkeypress="charPlus();" onkeydown="charPlus();" onkeyup="charPlus();" onclick="charPlus();" style="font-size: 15; font-weight: bold; font-family: Times New Roman" dir="rtl"><?php echo $msg; ?></textarea>
        <br />
        عدد الحروف<input name="Chars" size="3" maxlength="3" disabled="" style="color: black;"><input type="hidden" name="thelang" value="0" style="color: black;"><br />
        عدد الرسائل<input disabled="" maxlength="3" size="3" value="1" name="Segments" style="color: black;">
        <br />
        <?php if ($is_submit) { ?>
            <input type="submit" value="إرسال الرسالة" />
        </form>
        <?php
    }
}

function update_cont_pay($cont_id) {
    $amlak_cont = json_decode(get_all_order_by("amlak_contracts", "id = '$cont_id'"));
    $num_pay = ++$amlak_cont->{0}->pay_sent;
    return_json("UPDATE  `dabaanca_amlak`.`amlak_contracts` SET  `pay_sent` =  '$num_pay' WHERE  `amlak_contracts`.`id` =$cont_id");
}

//function insert_pays_new($sym){
//    global $paymentObj,$numOfPay;
//	for($z=0;$z<$paymentObj->rowcount;$z++){
//        if($z > $numOfPay)continue;
//        //$how_much = $sumK - $paymentObj->{$z}->how_much;
//        
//        $data_pay_money['cont_id'] = $id;
//        $data_pay_money['money_id']= 0;
//        $data_pay_money['pay_id']  = $paymentObj->{$z}->id;
//        $data_pay_money['how_much']= $paymentObj->{$z}->how_much;
//        $data_pay_money['date']    = $amlak_money->{$z}->event_date;
//        $data_pay_money['type']    = $sym;
//
//        //$data = ;
//        $insert = json_decode(insert_pay_money_data(json_encode($data_pay_money)));
//    }
//}

function payments_result(&$payments_obj, &$money_obj, &$p, &$m, &$i, $d, $print = 1, &$rest_g = 0) {
    global $coms;
    //echo "=$onepay=,($rest_g)";
    for ($p = $p; $p < $payments_obj->rowcount; $p++) {
        $rest_g = 0;
        $break = 0;
        //echo '((----'.$money_obj->{$m}->money_kind.'----))<br />';
//        echo '(('.$payments_obj->{$p}->how_much.'))<br />';

        echo '<tr><td>' . $money_obj->{$m}->id . '</td>';
        echo '<td><span class="color">' . $money_obj->{$m}->money_kind . '</span></td>';
        echo '<td><span class="color">' . ($p + 1) . '</span></td>';
        echo '<td>' . $money_obj->{$m}->payment_way . '</td>';
        echo '<td><span class="color">' . $d->date("Y/m/d", $money_obj->{$m}->event_date) . '</span></td>';


        if ($payments_obj->{$p}->how_much == $money_obj->{$m}->how_much) {//9,500 == 2,000  |||| 7,500 == 7,500
            //echo '$payments_obj == $money_obj<br />';
            //$payments_obj->{$p}->how_much = 0;
            $remain = 0;
            echo '<td><span class="color">' . $money_obj->{$m}->how_much . '</span> ريال</td>';
            $p++;
            //echo '(((((('.$payments_obj->{$p}->how_much.')))))<br />';
            $break = 1;
        } elseif ($payments_obj->{$p}->how_much > $money_obj->{$m}->how_much) {//9,500 > 2,000
            //echo '$payments_obj > $money_obj<br />';
//            echo $payments_obj->{$p}->how_much." - ".$money_obj->{$m}->how_much.'='.($payments_obj->{$p}->how_much-$money_obj->{$m}->how_much).'<br />';
            $payments_obj->{$p}->how_much = $payments_obj->{$p}->how_much - $money_obj->{$m}->how_much; // 9,500 - 2,000 = 7,500
            $remain = $payments_obj->{$p}->how_much;

            if ($money_obj->{$m}->money_kind == 'سند قبض')
                $rest_g = $payments_obj->{$p}->how_much;

            echo '<td><span class="color">' . $money_obj->{$m}->how_much . '</span> ريال</td>';
            $break = 1;
        }

        elseif ($payments_obj->{$p}->how_much < $money_obj->{$m}->how_much) {//250 < 6,500
            $remain = 0;
            //echo 'payments_obj < money_obj<br />';
//            echo $money_obj->{$m}->how_much." - ".$payments_obj->{$p}->how_much.'='.($money_obj->{$m}->how_much-$payments_obj->{$p}->how_much).'<br />';
            echo '<td><span class="color">' . $payments_obj->{$p}->how_much . '</span> ريال</td>';
            $money_obj->{$m}->how_much = $money_obj->{$m}->how_much - $payments_obj->{$p}->how_much; //6,500 - 250 = 6,250
        }
        $sql='';
        if (@in_array("money_3", $coms)) {
            $sql = '<input type="button" value="تعديل السند" Onclick="window.open(\'set_path.php?page=money&task=editc&id=' . $money_obj->{$m}->id . '\',\'\',\'menubar=0,scrollbars=1,status=0,titlebar=0,resizable=1,toolbar=0,width=700,height=550\');" >';
        }
        echo '<td>' . ($print ? $sql . '<input type="button" value="طباعة السند" Onclick="window.open(\'set_path.php?page=money&task=printt&id=' . $money_obj->{$m}->id . '\',\'\',\'menubar=0,scrollbars=1,status=0,titlebar=0,resizable=1,toolbar=0,width=700,height=550\');" >' : '') . $money_obj->{$m}->gloable_notes . '</td>';
        echo '</tr>';

        if ($break)
            return; // break;
    }
}

function payments_money($id, $paymentObj, $type = "سند قبض", $sym = "g") {
    //echo "(((($id))))<br /><br />";
    //$amlak_money = json_decode(get_all_order_by("amlak_money","money_kind = '$type' AND cont_id=$id","ASC"));
    //############## New Update Here ##############
    //if(isset($paymentObj->{0}->how_much) && !empty($paymentObj->{0}->how_much) && $amlak_money->rowcount > 0){
    $amlak_money = json_decode(return_json("SELECT sum(how_much) as how_much FROM amlak_money WHERE money_kind = '$type' AND cont_id=$id"));
    $cont_money = json_decode(return_json("SELECT rest_payment FROM amlak_contracts WHERE id=$id"));
    //echo $amlak_money->{0}->how_much ." == ".$cont_money->{0}->rest_payment;
    if ($amlak_money->{0}->how_much >= $cont_money->{0}->rest_payment)
        return_result("UPDATE payments SET is_complete_$sym=1 WHERE cont_id=$id");

    else {
        $num_pay = floor($amlak_money->{0}->how_much / $paymentObj->{0}->how_much);
        return_result("UPDATE payments SET is_complete_$sym=1 WHERE cont_id=$id ORDER BY id LIMIT $num_pay");
    }
    //}
    return;
    //############## New Update Ends ##############
    //echo "<br>$type<br>";
    $i = 0;
    for ($z = 0; $z < $paymentObj->rowcount; $z++) {
        //echo "($z)<br>عدد السندات : $amlak_money->rowcount<br>";
        for ($i = $i; $i < $amlak_money->rowcount; $i++) {
            //echo "$i--<br>";
            //var_dump($amlak_money->{$i});
            //$last_pay = json_decode(return_json("SELECT * FROM `pay_money` WHERE `cont_id`=$id AND got_or_pay = '$sym' ORDER BY id DESC"));
            //if($last_pay->{0}->money_id == $paymentObj->{$z}->id && $last_pay->{0}->is_complete == 1)continue;
            //echo $last_pay->{0}->money_id ." paymentObj: ". $paymentObj->{$z}->id."<br>";
            //echo "<br />قيمة السند: ".$amlak_money->{$i}->how_much."<br>";
            if ($z > 0) {


                $overflow = json_decode(get_overflow($insert->last_inserted_id, $sym));
                //var_dump($overflow);
                //echo "overflow: ".$overflow->{0}->overflow."<br>";
                //if($sym == "g")
//                    $how_much_money = ($overflow->{0}->overflow > 0)?$amlak_money->{$i}->how_much - $overflow->{0}->overflow:$amlak_money->{$i}->how_much;// 6000 - 1000 = 5000
//                else
                $how_much_money = ($overflow->{0}->overflow > 0) ? $amlak_money->{$i}->how_much + $overflow->{0}->overflow : $amlak_money->{$i}->how_much; // 6000 - 1000 = 5000
                change_payment_overflow($paymentObj->{$z}->id, 0, $sym);
                //echo "how_much_money: $how_much_money<br>";
            }
            else
                $how_much_money = $amlak_money->{$i}->how_much; // first bounds




                
//echo "المدفوع : ".$how_much_money."<br>";
            $how_much_got = json_decode(return_json("SELECT sum(how_much) as sum FROM pay_money 
            WHERE got_or_pay = '$sym' AND pay_id = " . $paymentObj->{$z}->id));
            $how_much_got = empty($how_much_got->{0}->sum) ? 0 : $how_much_got->{0}->sum;
            //var_dump($paymentObj);
            //if($paymentObj->{0}->got_payment == 1)continue;

            $sum = $how_much_money + $how_much_got; //
            //echo "sum = $how_much_money + $how_much_got = $sum <br>";
            if ($sum <= $paymentObj->{$z}->how_much) {
                //echo "$sum before1<br/>";
                $data_pay_money['cont_id'] = $id;
                $data_pay_money['money_id'] = $amlak_money->{$i}->id;
                $data_pay_money['pay_id'] = $paymentObj->{$z}->id;
                $data_pay_money['reminder_' . $sym] = $paymentObj->{$z}->how_much - $sum;
                $data_pay_money['how_much'] = $how_much_money;
                $data_pay_money['date'] = $amlak_money->{$i}->event_date;
                $data_pay_money['type'] = $sym;

                //$data = ;
                $insert = json_decode(insert_pay_money_data(json_encode($data_pay_money), $sym));
                //echo "<br>$insert->last_inserted_id<br>";
                if ($sum == $paymentObj->{$z}->how_much) {
                    //echo "111<br>";
                    update_payment_is_complete($paymentObj->{$z}->id, $sym);
                    update_pay_money_is_complete($insert->last_inserted_id);
                    //$paymentObj->{$z}->is_complete_g = 1;

                    $i++;
                    break;
                }
            } else { // Mean the bound is more than the payment price
                //if($sym == "g")
                //$how_much_got المدفوع سابقا
                $overflow = $sum - $paymentObj->{$z}->how_much; //4750 - 4000 = 750

                $reminder = $data_pay_money['reminder_' . $sym] == 0 ? $paymentObj->{$z}->how_much : $data_pay_money['reminder_' . $sym];
                //echo 'الباقي : '.$reminder.'<br />';

                $data_pay_money['cont_id'] = $id;
                $data_pay_money['money_id'] = $amlak_money->{$i}->id;
                $data_pay_money['pay_id'] = $paymentObj->{$z}->id;
                $data_pay_money['reminder_' . $sym] = 0;
                $data_pay_money['overflow_' . $sym] = $overflow;
                $data_pay_money['how_much'] = $reminder;
                $data_pay_money['date'] = $amlak_money->{$i}->event_date;
                $data_pay_money['type'] = $sym;

                //echo "الفائض: $overflow<br>";
                //$data = ;
                $insert = json_decode(insert_pay_money_data(json_encode($data_pay_money), $sym));

                update_payment_is_complete($paymentObj->{$z}->id, $sym); //$paymentObj->{$z}->is_complete_g = 1;
                //change_payment_overflow($insert->last_inserted_id,$overflow,$sym);
                //update_payment_is_complete($paymentObj->{$z}->id,$sym);
                update_pay_money_is_complete($insert->last_inserted_id);

                $amlak_money->{$i}->how_much -= $reminder;

                ###########################################################
                ###########################################################

                if ($amlak_money->{$i}->how_much <= 0) {
                    $i++;
                    //echo "السند : $i<br />";
                    break;
                }
                //echo "$overflow/".$paymentObj->{$z}->how_much."<br />";
                $num = ceil($overflow / $paymentObj->{$z}->how_much);
                //echo $paymentObj->{$z}->how_much."<br>";
                for ($j = 1; $j <= $num; $j++) {
                    $z++;
                    //echo "الدفعة : $z<br />";
                    if (!isset($paymentObj->{$z}))
                        continue;

                    if ($paymentObj->{$z}->how_much < $overflow) {
                        $how_much = $paymentObj->{$z}->how_much;
                        $overflow = $amlak_money->{$i}->how_much -=$how_much;
                        //$overflow = $amlak_money->{$i}->how_much - $how_much ;
                    } else {
                        $how_much = $overflow;
                        $overflow = 0;
                    }
                    //echo $amlak_money->{$i}->how_much." - ".$data_pay_money['reminder_'.$sym]." = $how_much<br>";
                    //if($reminder < 0)
                    //                {
                    //$overflow = $reminder + $overflow;
                    $reminder = 0;

                    $data_pay_money['cont_id'] = $id;
                    $data_pay_money['money_id'] = $amlak_money->{$i}->id;
                    $data_pay_money['pay_id'] = $paymentObj->{$z}->id;
                    $data_pay_money['reminder_' . $sym] = $reminder;
                    $data_pay_money['overflow_' . $sym] = $overflow;
                    $data_pay_money['how_much'] = $how_much;
                    $data_pay_money['date'] = $amlak_money->{$i}->event_date;
                    $data_pay_money['type'] = $sym;

                    //echo "الفائض: $overflow<br>";
                    //$data = ;
                    $insert = json_decode(insert_pay_money_data(json_encode($data_pay_money), $sym));


                    //echo "1";
                    if ($amlak_money->{$i}->how_much >= $paymentObj->{$z}->how_much) {
//                        echo "<br />2";
                        update_payment_is_complete($paymentObj->{$z}->id, $sym); //$paymentObj->{$z}->is_complete_g = 1;
                        //change_payment_overflow($insert->last_inserted_id,$overflow,$sym);
                        //update_payment_is_complete($paymentObj->{$z}->id,$sym);
                        update_pay_money_is_complete($insert->last_inserted_id);
                    }
                    ###########################################################
                    ###########################################################
                }
                //$i++;
                //break;
                //continue;
            }
        }
    }
}

function create_payments($id) {
    include_once 'include/uCal.class.php';
    include_once("../includes/lib.php");
    //include('../includes/Arabic.php'); 

    $d = new uCal();

    $obj = json_decode(get_all_order_by("amlak_contracts", "id = $id"));
    //var_dump($obj);
    $obj = $obj->{0};

    //return_result("DELETE ");
    //var_dump($obj);
    $monthes_count = ceil(count_days($obj->cont_reg_date, $obj->cont_end_date) / 30);


    //if contrato_kind is rent
    if ($obj->contrato_kind == "1") {
        delete_payment_data($obj->id);
        $obj->payment_every_what = $obj->payment_every_what == 0 ? 1 : $obj->payment_every_what;
        $payment_count = ceil($monthes_count / $obj->payment_every_what); //how many payments in the period

        $one_paymentcost = round($obj->rest_payment / $payment_count);


        //$my_proparety_value = json_decode(get_all_by_building_id("amalak_buildings_proparetes_values",$data["aqaar_id"]));
    }
    //echo "$obj->id<br>";
    $payment_time = $obj->cont_reg_date;

    $month_r = $d->date("m", $payment_time);

    $year_r = $d->date("Y", $payment_time);
    $day_r = $d->date("j", $payment_time);
    //echo "<br><br>".$d->date("j",$payment_time)."<br>";
    //echo "<br>".$obj->day_r"]."-".$obj->month_r"]."-".$obj->year_r"]."<br>";
    $a = 1;
    //$payment_count
    for ($z = 0; $z < $payment_count; $z++) {


        $money_payment_data = array();
        //(kind_id,proparety_id,proparety_value,building_id)
        $money_payment_data["cont_id"] = $obj->id; //$inserted_data->last_inserted_id;
        $money_payment_data["date"] = $payment_time;
        $money_payment_data["num_pay"] = $z + 1;
        //$money_payment_data["got_payment"] = "0";
//		$money_payment_data["pay_payment"] = "0";
//		$money_payment_data["got_money_id"] = "";
        $money_payment_data["how_much"] = $one_paymentcost;

        if (!empty($obj->pay_sent) && $obj->pay_sent >= ($payment_count + 1))
            $money_payment_data["is_sent"] = $one_paymentcost;

        //echo "($payment_time)<br>";
        $my_money_payment_data = json_encode($money_payment_data);

        $inserted_proparety_data = json_decode(insert_payment_data($my_money_payment_data));
//		
        //$payment_time = 2592000*$obj->payment_every_what"]+$payment_time;
        //echo $obj->payment_every_what.'<br>';
        $next_pay_mon = $month_r + ($obj->payment_every_what * $a);
        //echo "$next_pay_mon<br />";
        //$year = ($next_pay_mon >12 && $obj->payment_every_what"] * $a % 12 == 0)?$obj->year_e"]++:$obj->year_e"];


        $year = floor((($year_r * 12 ) + $next_pay_mon) / 12);

        //for($j = 1 ; $next_pay_mon < 12 * $j ; $j++){
//            if($next_pay_mon > 12 ){
//            
//                $year = ++$year_r;
//                
//            
//            }
//        }

        $next_pay_mon = ($next_pay_mon % 12); // + 1 ;  
        //if($next_pay_mon > 12 ){
//        }
        //if($next_pay_mon > 12)
//            
//        else{
//            
//        }
//        
        //$cont_end_date = $d->u2g($day_r,$next_pay_mon,$year);
        //echo "$next_pay_mon,$day_r,$year<br />";
        $payment_time = $d->mktime(0, 0, 0, $next_pay_mon, $day_r, $year);
        //if(empty($payment_time))
//        echo "$month_r<br>";
//        if(empty($payment_time))
//            echo "$day_r,$next_pay_mon,$year<br>";
        $a++;
        //echo "<br>".$obj->day_r"]."-$next_pay_mon-$year<br>";
    }
    //echo "<br>--<br>";
}

function payment_update($id, $obj = null) {
    //echo "(((($id))))<br>"; 
    //if($obj != null)//echo $obj->id."<br>";
    create_payments($id);
    $amlak_money = json_decode(count_rows("amlak_money", "cont_id=$id")); //Search about contract in bounds table 

    if ($amlak_money->{0}->count > 0) {
        $paymentObj = json_decode(get_all_order_by("payments", "cont_id = $id", "ASC"));

        payments_money($id, $paymentObj, "سند قبض", "g");

        payments_money($id, $paymentObj, "سند صرف", "p");
    }
    //exit;
}

function repair_cont() {
    $conts = json_decode(return_json("SELECT DISTINCT owner_id FROM `amlak_contracts` WHERE `owner_name` = ''"));
    for ($i = 0; $i < $conts->rowcount; $i++) {
        if (empty($conts->{$i}->owner_id))
            continue;
        //echo "<br>SELECT user_name FROM `amlak_users` WHERE `id` = ".$conts->{$i}->owner_id;
//        echo "<br>UPDATE amlak_contracts SET owner_name='".$name->{0}->user_name."' WHERE owner_id = ".$conts->{$i}->owner_id;
        $name = json_decode(get_query("SELECT user_name FROM `amlak_users` WHERE `id` = " . $conts->{$i}->owner_id));
        get_query("UPDATE amlak_contracts SET owner_name='" . $name->{0}->user_name . "' WHERE owner_id = " . $conts->{$i}->owner_id);
    }
}
?>