<?php

/**
 * Send a message through Mrasel
 * @authors Abdullah Alotabi
 * @copyright Tanween Co.
 * @version 1.0
 * @example
 * $sms = new sms("user","pass","example");
 * if(!$sms->sendSMS(0505240085,"msg"))
 *      echo $sms->ShowErrors();
 *
 * To get a balance:
 * $balance = $sms->getBalance();
 * if(!$balance)
 *      echo $sms->ShowErrors();
 * else
 *      echo "You have $balance points";
 *  $ymamasms_password = "DABAAN9467"; //502222225
 */
class sms {
    private $_username = "966502222225";         // Username in mrasel
    private $_password = "Kk123456789";           // PassWord in mrasel
    private $_ShowName = "aldabaan.sa";         // Show Name in mrasel
    private $_errors   = array();    // Hold The Errors
    public  $opNo      = 0;
    public  $meNo      = 0;

    private $_mobs     = array();    // To hold the moblie numbers

    function __construct(){//$user , $pass , $show){
       //error_reporting(0);
	   if($user){ $this->setUserName($user); }
       if($pass){$this->setPassword($pass); }
       if($show){$this->setShowName($show); }

    }

    /**
     * Setting value for $_username
     */
    public function setUserName($user){
	   $this->_username = trim($user);
    }

    /**
     * Setting value for $_password
     */
    public function setPassword($pass){
	   $this->_password = trim($pass);
    }

    /**
     * Setting value for $_showname
     */
    public function setShowName($show){
	   $this->_ShowName = urlencode(trim($show));
    }

    /**
    * Getting $_showname value
    **/
    public function getShowName(){
	   return $this->_ShowName;
    }

    /**
    * Getting $_password value
    **/
    public function getPassword(){
	   return $this->_password;
    }

    /**
    * Getting $_username value
    **/
    public function getUserName(){
	   return $this->_username;
    }


    /**
     * Return the balance for your account
     * @return int if there is a balance else false
     */
    public function getBalance(){
         $url=@file_get_contents("http://services.yamamah.com/yamamahwebservicev2.1/SMSService.asmx/GetCredit?strUserName=".$this->_username."&strPassword=".$this->_password);
         //echo "http://www.mrasel.net/api/credit.php?username=$this->_username&password=$this->_password";
         if($url == false){
            $this->_errors[] = "لا يمكن الاتصال بالموزع ";
            return $this->ShowErrors();
         }
         if(!strpos("#007",$url))
             return $url;   // if there is a balance return and exit from the function

         // if there is no balance
         $this->_errors[] = "لا يوجد رصيد";
         return $this->ShowErrors();
    }


    /**
     * Return the Status for the opration
     * @return int if there is a balance else false
     */
    public function getStatus($opNo = 0){
         if($opNo == 0)
            $opNo = $this->opNo;

         $url=@file_get_contents("http://services.yamamah.com/yamamahwebservicev2.1/SMSService.asmx/IsServiceAlive");
         if($url == false){
            $this->_errors[] = "لا يمكن الاتصال بالموزع ";
            return false;
         }

         $res = explode(' ',$url);
         $url = $res[0];
         if("#011"==$url)
             return array_pop(explode(':',$res[1]));;   // if there is a balance return and exit from the function

         // if there is no balance
         $this->_whichError($url);
         $this->ShowErrors();
         return false;
    }


    private function _convertToUnicode($message)
{
$chrArray[0]="،";$unicodeArray[0]="060C";$chrArray[1]="؛";$unicodeArray[1]="061B";$chrArray[2]="؟";$unicodeArray[2]="061F";$chrArray[3]="ء";$unicodeArray[3]="0621";$chrArray[4]="آ";$unicodeArray[4]="0622";$chrArray[5]="أ";$unicodeArray[5]="0623";$chrArray[6]="ؤ";$unicodeArray[6]="0624";$chrArray[7]="إ";$unicodeArray[7]="0625";$chrArray[8]="ئ";$unicodeArray[8]="0626";$chrArray[9]="ا";$unicodeArray[9]="0627";$chrArray[10]="ب";$unicodeArray[10]="0628";$chrArray[11]="ة";$unicodeArray[11]="0629";$chrArray[12]="ت";$unicodeArray[12]="062A";$chrArray[13]="ث";$unicodeArray[13]="062B";$chrArray[14]="ج";$unicodeArray[14]="062C";$chrArray[15]="ح";$unicodeArray[15]="062D";$chrArray[16]="خ";$unicodeArray[16]="062E";$chrArray[17]="د";$unicodeArray[17]="062F";$chrArray[18]="ذ";$unicodeArray[18]="0630";$chrArray[19]="ر";$unicodeArray[19]="0631";$chrArray[20]="ز";$unicodeArray[20]="0632";$chrArray[21]="س";$unicodeArray[21]="0633";$chrArray[22]="ش";$unicodeArray[22]="0634";$chrArray[23]="ص";$unicodeArray[23]="0635";$chrArray[24]="ض";$unicodeArray[24]="0636";$chrArray[25]="ط";$unicodeArray[25]="0637";$chrArray[26]="ظ";$unicodeArray[26]="0638";$chrArray[27]="ع";$unicodeArray[27]="0639";$chrArray[28]="غ";$unicodeArray[28]="063A";$chrArray[29]="ف";$unicodeArray[29]="0641";$chrArray[30]="ق";$unicodeArray[30]="0642";$chrArray[31]="ك";$unicodeArray[31]="0643";$chrArray[32]="ل";$unicodeArray[32]="0644";$chrArray[33]="م";$unicodeArray[33]="0645";$chrArray[34]="ن";$unicodeArray[34]="0646";$chrArray[35]="ه";$unicodeArray[35]="0647";$chrArray[36]="و";$unicodeArray[36]="0648";$chrArray[37]="ى";$unicodeArray[37]="0649";$chrArray[38]="ي";$unicodeArray[38]="064A";$chrArray[39]="ـ";$unicodeArray[39]="0640";$chrArray[40]="ً";$unicodeArray[40]="064B";$chrArray[41]="ٌ";$unicodeArray[41]="064C";$chrArray[42]="ٍ";$unicodeArray[42]="064D";$chrArray[43]="َ";$unicodeArray[43]="064E";$chrArray[44]="ُ";$unicodeArray[44]="064F";$chrArray[45]="ِ";$unicodeArray[45]="0650";$chrArray[46]="ّ";$unicodeArray[46]="0651";$chrArray[47]="ْ";$unicodeArray[47]="0652";$chrArray[48]="!";$unicodeArray[48]="0021";$chrArray[49]='"';$unicodeArray[49]="0022";$chrArray[50]="#";$unicodeArray[50]="0023";$chrArray[51]="$";$unicodeArray[51]="0024";$chrArray[52]="%";$unicodeArray[52]="0025";$chrArray[53]="&";$unicodeArray[53]="0026";$chrArray[54]="'";$unicodeArray[54]="0027";$chrArray[55]="(";$unicodeArray[55]="0028";$chrArray[56]=")";$unicodeArray[56]="0029";$chrArray[57]="*";$unicodeArray[57]="002A";$chrArray[58]="+";$unicodeArray[58]="002B";$chrArray[59]=",";$unicodeArray[59]="002C";$chrArray[60]="-";$unicodeArray[60]="002D";$chrArray[61]=".";$unicodeArray[61]="002E";$chrArray[62]="/";$unicodeArray[62]="002F";$chrArray[63]="0";$unicodeArray[63]="0030";$chrArray[64]="1";$unicodeArray[64]="0031";$chrArray[65]="2";$unicodeArray[65]="0032";$chrArray[66]="3";$unicodeArray[66]="0033";$chrArray[67]="4";$unicodeArray[67]="0034";$chrArray[68]="5";$unicodeArray[68]="0035";$chrArray[69]="6";$unicodeArray[69]="0036";$chrArray[70]="7";$unicodeArray[70]="0037";$chrArray[71]="8";$unicodeArray[71]="0038";$chrArray[72]="9";$unicodeArray[72]="0039";$chrArray[73]=":";$unicodeArray[73]="003A";$chrArray[74]=";";$unicodeArray[74]="003B";$chrArray[75]="<";$unicodeArray[75]="003C";$chrArray[76]="=";$unicodeArray[76]="003D";$chrArray[77]=">";$unicodeArray[77]="003E";$chrArray[78]="?";$unicodeArray[78]="003F";$chrArray[79]="@";$unicodeArray[79]="0040";$chrArray[80]="A";$unicodeArray[80]="0041";$chrArray[81]="B";$unicodeArray[81]="0042";$chrArray[82]="C";$unicodeArray[82]="0043";$chrArray[83]="D";$unicodeArray[83]="0044";$chrArray[84]="E";$unicodeArray[84]="0045";$chrArray[85]="F";$unicodeArray[85]="0046";$chrArray[86]="G";$unicodeArray[86]="0047";$chrArray[87]="H";$unicodeArray[87]="0048";$chrArray[88]="I";$unicodeArray[88]="0049";$chrArray[89]="J";$unicodeArray[89]="004A";$chrArray[90]="K";$unicodeArray[90]="004B";$chrArray[91]="L";$unicodeArray[91]="004C";$chrArray[92]="M";$unicodeArray[92]="004D";$chrArray[93]="N";$unicodeArray[93]="004E";$chrArray[94]="O";$unicodeArray[94]="004F";$chrArray[95]="P";$unicodeArray[95]="0050";$chrArray[96]="Q";$unicodeArray[96]="0051";$chrArray[97]="R";$unicodeArray[97]="0052";$chrArray[98]="S";$unicodeArray[98]="0053";$chrArray[99]="T";$unicodeArray[99]="0054";$chrArray[100]="U";$unicodeArray[100]="0055";$chrArray[101]="V";$unicodeArray[101]="0056";$chrArray[102]="W";$unicodeArray[102]="0057";$chrArray[103]="X";$unicodeArray[103]="0058";$chrArray[104]="Y";$unicodeArray[104]="0059";$chrArray[105]="Z";$unicodeArray[105]="005A";$chrArray[106]="[";$unicodeArray[106]="005B";$char="\ ";$chrArray[107]=trim($char);$unicodeArray[107]="005C";$chrArray[108]="]";$unicodeArray[108]="005D";$chrArray[109]="^";$unicodeArray[109]="005E";$chrArray[110]="_";$unicodeArray[110]="005F";$chrArray[111]="`";$unicodeArray[111]="0060";$chrArray[112]="a";$unicodeArray[112]="0061";$chrArray[113]="b";$unicodeArray[113]="0062";$chrArray[114]="c";$unicodeArray[114]="0063";$chrArray[115]="d";$unicodeArray[115]="0064";$chrArray[116]="e";$unicodeArray[116]="0065";$chrArray[117]="f";$unicodeArray[117]="0066";$chrArray[118]="g";$unicodeArray[118]="0067";$chrArray[119]="h";$unicodeArray[119]="0068";$chrArray[120]="i";$unicodeArray[120]="0069";$chrArray[121]="j";$unicodeArray[121]="006A";$chrArray[122]="k";$unicodeArray[122]="006B";$chrArray[123]="l";$unicodeArray[123]="006C";$chrArray[124]="m";$unicodeArray[124]="006D";$chrArray[125]="n";$unicodeArray[125]="006E";$chrArray[126]="o";$unicodeArray[126]="006F";$chrArray[127]="p";$unicodeArray[127]="0070";$chrArray[128]="q";$unicodeArray[128]="0071";$chrArray[129]="r";$unicodeArray[129]="0072";$chrArray[130]="s";$unicodeArray[130]="0073";$chrArray[131]="t";$unicodeArray[131]="0074";$chrArray[132]="u";$unicodeArray[132]="0075";$chrArray[133]="v";$unicodeArray[133]="0076";$chrArray[134]="w";$unicodeArray[134]="0077";$chrArray[135]="x";$unicodeArray[135]="0078";$chrArray[136]="y";$unicodeArray[136]="0079";$chrArray[137]="z";$unicodeArray[137]="007A";$chrArray[138]="{";$unicodeArray[138]="007B";$chrArray[139]="|";$unicodeArray[139]="007C";$chrArray[140]="}";$unicodeArray[140]="007D";$chrArray[141]="~";$unicodeArray[141]="007E";$chrArray[142]="©";$unicodeArray[142]="00A9";$chrArray[143]="®";$unicodeArray[143]="00AE";$chrArray[144]="÷";$unicodeArray[144]="00F7";$chrArray[145]="×";$unicodeArray[145]="00F7";$chrArray[146]="§";$unicodeArray[146]="00A7";$chrArray[147]=" ";$unicodeArray[147]="0020";$chrArray[148]="\n";$unicodeArray[148]="000D";$chrArray[149]="\r";$unicodeArray[149]="000A";

            $strResult="";
            for($i=0;$i<mb_strlen($message,"UTF-8");$i++)
                {//echo "\n".mb_substr($message,$i,1,"UTF-8");
                  for($c=0;$c<count($chrArray);$c++)
                     {

                    if($chrArray[$c]==mb_substr($message,$i,1,"UTF-8"))
                       {
                       $strResult .=$unicodeArray[$c];
                    //   echo "[".$unicodeArray[$c]."]<br>";
                       }
                      }
               }

           return $strResult;
}

    /**
     * Convert from 05xxxxxxxx to 9665xxxxxxxxx
     * @return int
     */
    public function _mob($mob){

        if(strlen($mob) != 10)return false;
        //$s = "966";                 //string that hold the mobile number
        //$z = false;                 //flag for first zero's (05)remove this 0
        $mob = "966".substr($mob,1);
        //$sp = str_explode($mob);
//        foreach($sp as $e)
//            if($e != 0 && !$z){
//                $s.=$e;
//                $z = true;
//            }elseif($z)$s.=$e;
	   return $mob;
    }

  public function SendManySMS($to,$msg,$last=0)
    {
        //echo "<br />$last<br />";
       $mob= $this->_mob($to);
       if($mob == false){
//            $this->_errors[] = "خطأ في الرقم : $to";
//            $this->ShowErrors();
            return false;
       }

       $this->_mobs[] = $mob;
       $this->meNo++;
       if(count($this->_mobs) == 100 || $last){
            $to = implode(';',$this->_mobs);
            //$msg = $this->_convertToUnicode($msg);
            //echo "<br /><br />http:www.mrasel.net/api/?username=$this->_username&password=$this->_password&mobile=$to&message=".urlencode($msg)."&thelang=1&sender=$this->_ShowName";
            $url=@file_get_contents("http://services.yamamah.com//yamamahwebservicev2.1/SMSService.asmx/SendBulkSMS?strUserName=".$this->_username."&strPassword=".$this->_password."&strTagName=".$this->_ShowName."&strRecepientNumbers=".$to."&strMessage=".urlencode($msg)."");
            $this->_mobs = array();
        }


    }

    private function _whichError($url)
    {
        $res = explode(' ',$url);
        if("#003" == $url)
            $this->_errors[] = $url." قد يكون حسابك موقوف.";
        if(("#004"==$url))
            $this->_errors[] = $url." رقم الجوال غير صحيح أو مقطوع.";
        if(("#005"==$url))
            $this->_errors[] = $url." لا تملك نقاط لترسل الرسالة";
        if(("#006"==$url))
            $this->_errors[] = $url." لا يوجد رقم جوال.";
        if(("#007"==$url))
            $this->_errors[] = $url." Username/Password incorrect.";
        if(("#008"==$url))
            $this->_errors[] = $url." الخدمة حاليا متوقفة.";
        if(("#009"==$url))
            $this->_errors[] = $url." خطأ غير معروف , حاول مجدداً.";
        if(("#012"==$url))
            $this->_errors[] = $url." خانة رقم سجل الرسالة فارغ";
        if(("#013"==$url))
            $this->_errors[] = $url." اسم المستخدم أو كلمة المرور غير صحيحة";
        if(("#014"==$url))
            $this->_errors[] = $url." لا يوجد رسالة برقم السجل المرسل";
    }

    /**
     * Send the message
     * @param
     * int    $to   = number of destination
     * string $msg  = content of message
     * @return boolean
     */
    public function sendSMS($to,$msg)
    {
        //var_dump($to,$msg);
        $this->_errors = array();
        $to= $this->_mob($to);
        if($to === false){
            $this->_errors[] = "رقم الجوال غير صحيح.";
            return $this->ShowErrors();
        }
        //$msg = $this->_convertToUnicode($msg);
        //echo "https://www.mrasel.net/api/?username=$this->_username&password=$this->_password&mobile=$to&message=".urlencode($msg)."&thelang=1&sender=$this->_ShowName<br />";
//        return true;
        $url=@file_get_contents("http://services.yamamah.com//yamamahwebservicev2.1/SMSService.asmx/SendBulkSMS?strUserName=".$this->_username."&strPassword=".$this->_password."&strTagName=".$this->_ShowName."&strRecepientNumbers=".$to."&strMessage=".urlencode($msg)."");
        //echo "<br />$url<br />";
        if($url == false){
            $this->_errors[] = "لا يمكن الاتصال بالموزع ";
            return false;
         }
        $res = explode(' ',$url);
        $url = $res[0];
        $this->opNo = array_pop(explode('.',$res[1]));
        if(($url=="#001"))
            return true;        // if the message has been sent return ture and go out from the funtion

        $this->_whichError($url);
        $this->_errors[]= " رقم الجوال هو : (( $to )) ";
        $this->ShowErrors();
        return false;
    }

    //public function ShowErrors(){
//	   echo "<h3>خطأ!</h3>";
//       foreach($this->_errors as $e)
//            echo "$e<br>";
//    }

    public function ShowErrors($msg = ''){

	   echo "\r\r\r<h3>Error!</h3>";
       //$errors = 'The REQUEST_URI is: '.$this->_page."\r<br>\r";
       foreach($this->_errors as $e)
            $errors .= "$e\r<br>\r";
       //$errors.=$msg;


       //$errors.="\rThe query:\r<br>\r {$this->_sql}\r";
       echo $errors;
       //$errors.="page: $this->_page\r\r\r";
       $file = 'logs/log_error.txt';
       //$path = explode('/',$_SERVER["PHP_SELF"]);
//       $in_admin = in_array('th_admin',$path) ? 1 : 0;
//       // Open the file to get existing content
//       $file = file_exists(($in_admin ? '../':'').$file) ? ($in_admin ? '../':'').$file : $file;
       //$current = file_get_contents($file);
       // Append a new person to the file
       $current = date("j/n/Y g:i a",time())."\r$errors";
       // Write the contents back to the file
       //file_put_contents($file,$current,FILE_APPEND);

       //exit(0);
    }
}
?>
