<?php
function confirm_user_register($data){
	$data=json_decode($data);
	$reply_array=array();
	$sms_msg="رقم الطلب:".$data->order_id."\nالكود السرى:".$data->order_passcode."\nالبوابة الالكترونية لبلدية محافظة عنيزة\nhttp://portal.um.gov.sa";
	$mobile="";
	if(substr($data->agent_tel, 0, 2)=="05")$mobile=$data->agent_tel;
	elseif(substr($data->est_mobile, 0, 2)=="05")$mobile=$data->est_mobile;
	elseif(substr($data->est_tel, 0, 2)=="05")$mobile=$data->est_tel;
	if($mobile!=""){
		$mobile="966".substr($mobile, 1);
		$reply_array[send_sms]="sent";
		if(send_sms($mobile,$sms_msg,$data->id)){
			 $reply_array[send_sms]="done";
			 $reply_array[mobile]=$mobile;
		}
	}
	else $reply_array[send_sms]="failed";
	
	$subject="تم استلام طلبك على البوابة الالكترونية لبلدية عنيزة";

 	$contacts= array ($data->contact_email,$data->contact_email);
	
	if(send_mail($subject,$data->mail_text,$contacts)){
			 $reply_array[send_email]="done";
			 $reply_array[email]=$data->contact_email;
	}
	else $reply_array[send_email]="failed";
//	echo "last line on confirm user";
	$reply_array[answer]="done";
	return json_encode($reply_array);
}

function confirm_user_reply($data){
	$data=json_decode($data);
	$reply_array=array();
	$sms_msg="طلبك ".order_status($data->status).":\n".$data->reply_text."\nبلدية عنيزة";
	$reply=c_lic_get_by_id(json_encode($data));
	$reply=json_decode($reply);
	if($reply->rowcount<1){$reply_array[answer]="failed"; return $reply_array; }
	$reply=$reply->{0};
	$mobile="";
	if(substr($reply->agent_tel, 0, 2)=="05")$mobile=$reply->agent_tel;
	elseif(substr($reply->est_mobile, 0, 2)=="05")$mobile=$reply->est_mobile;
	elseif(substr($reply->est_tel, 0, 2)=="05")$mobile=$reply->est_tel;
	if($mobile!=""){
		$mobile="966".substr($mobile, 1);
		$reply_array[send_sms]="sent";
		if(send_sms($mobile,$sms_msg,$data->order_id)){
			 $reply_array[send_sms]="done";
			 $reply_array[mobile]=$mobile;
		}
	}
	else $reply_array[send_sms]="failed";
	
	$subject="تم تحديث بيانات طلبك على البوابة الالكترونية لبلدية عنيزة";

 	$contacts= array ($reply->contact_email,$reply->contact_email);
	$email_body="<div style='direction:rtl;font-family:Tahoma, verdana, arial, sans-serif; font-size:12px; text-align:right; '><p style='direction:rtl;font-family:Tahoma, verdana, arial, sans-serif; font-size:12px; text-align:right; '><br/>\nالسلام عليكم ورحمة الله <br/>\n الاخ المواطن / <br/>\n حدث تطور بحالة طلبك المقدم للبوابة الالكترونية لبلدية عنيزة  <br/>\n<b> حالة الطلب : </b><br/>\n".order_status($data->status).":\n<br/><b>تعليق البلدية : </b><br/>\n".$data->reply_text."\n<br/><p style='direction:rtl;font-family:Tahoma, verdana, arial, sans-serif; font-size:12px; text-align:left; '> البوابة الالكترونية لبلدية محافظة عنيزة <br/>\n http://portal.um.gov.sa </p></div>";
	if(send_mail($subject,$email_body,$contacts)){
			 $reply_array[send_email]="done";
			 $reply_array[email]=$data->contact_email;
	}
	else $reply_array[send_email]="failed";
//	echo "last line on confirm user";
	$reply_array[answer]="done";
	return json_encode($reply_array);
}


function generatePasscode ($length = 8)
	{
  // start with a blank password
  $password = "";
  // define possible characters
  $possible = "0123456789bcdfghjkmnpqrstvwxyz"; 
  // set up a counter
  $i = 0; 
  // add random characters to $password until $length is reached
  while ($i < $length) { 
    // pick a random character from the possible ones
    $char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
    // we don't want this character if it's already in the password
    if (!strstr($password, $char)) { 
      $password .= $char;
      $i++;
    }
  }
  // done!
  return $password;
}


function order_status($no){
	$order_status=array();
	$order_status[0]="جديد";
	$order_status[1]="تحت المعاينة";
	$order_status[2]="مطلوب تعديلات";
	$order_status[3]="مرفوض";
	$order_status[4]="تم اعتماده";
	if($no =="all"){
		echo "var order_status=new Array(); \n";
		for($i=0;$i<count($order_status);$i++)
		echo "order_status[".$i."]='".$order_status[$i]."';\n";
	}elseif($no=="count") 
		return count($order_status);
	else 
		return $order_status[$no];
}

function get_service_name($no){
	$service_names=array();
	$service_names[101]="اصدار رخصة جديدة لمحل";
	$service_names[102]="تجديد رخصة محل";
	$service_names[103]="بدل فاقد / تالف لرخصة محل";
	$service_names[104]="تغيير نشاط محل";
	$service_names[105]="الغاء نشاط من رخصة محل";
	$service_names[106]="اضافة نشاط إلى رخصة محل";
	$service_names[107]="فصل نشاط من رخصة محل";
	$service_names[108]="تغيير مسمى المحل";
	$service_names[109]="تغيير مساحة لوحة المحل";
	$service_names[110]="تغيير مساحة المحل";
	$service_names[111]="نقل ملكية محل";
	$service_names[112]="نقل موقع محل";
	$service_names[113]="الغاء رخصة محل";
	$service_names[201]="كروكى مهندس";
	$service_names[202]="ترخيص سور وملاحق";
	$service_names[203]="ترخيص سور فقط";
	$service_names[204]="ترخيص ملحق فقط";
	$service_names[205]="ترميم";
	$service_names[206]="هدم";
	$service_names[207]="رصيف خارجى";
	$service_names[208]="إزالة رصيف";
	$service_names[209]="بيارة خارجية";
	$service_names[210]="لوحة إعلانية";
	$service_names[211]="كشف غطاء بيارة خارجية";
	$service_names[212]="صراف آلى سيار";
	$service_names[213]="إضافة دور";
	$service_names[214]="تجديد ترخيص ";
	if($no =="all"){
		echo "var service_names=new Array(); \n";
		$s=101;
		for($i=0;$i< count($service_names);$i++){
			echo "service_names[".$s."]='".$service_names[$s]."';\n";
			if($s==113)$s=201; else $s++; 
			}
	}else
		return $service_names[$no];

}

?>