<?php
	$mysql_dbname="dabaanca_amlak";
	$mysql_user = "dabaanca_amlak";
	$mysql_password = "amlak"; 
	$mysql_host = "localhost";

	/**	  Config file for dal	 */
	class dalConfigObject {

		//	 	  Base dir from where dal tries to load drivers and so on
		 var $basedir ;//= $include_dir."dal/";

		//		 Contains which drivers can be loaded
		 var $drivers ;//=array("mysql");
	
		//	 	  Connection info
		var $configurations ;//= array("conf1" => array( "dbuser"=> $GLOBALS['mysql_user'], "dbpassword"=> $GLOBALS['mysql_password'], "dbconnectString" => ""));

		//		  Configuration lock
		var $configurationLocked;
		
		//		  Path to use for storing temporary files.
		var $tmpFilePath ;//= "./media/tmp/";

		//	 	  Which dir we use for the extensions
		 var $extensionDir ;//= $this->basedir."extra/";

		 //			 Do we use extensions which use hooks ?
		 var $extensionUseHooks;

		 //			 Full extension dir name
		 var $fullExtensionDir;

		 //			 Language to use
		 var $language;


		 //			 Extension of the files we include.
		 var $fileExt;

		 //			* Constructor			* @access private
		 function dalConfigObject()
		 {
			 $this->init();
			 $this->createExtensionList();
			 $this->includeMessages();
		 }

		 //			 Inits all the vars
		 function init()
		 {
				$this->basedir = $GLOBALS[include_dir]."dal/";
				$this->drivers = array("mysql");
				$this->configurations = array("default" => array( "dbuser"=> $GLOBALS[mysql_user], "dbpassword"=> $GLOBALS[mysql_password], "dbconnectString" => ""));

				$this->configurationLocked = false;
				$this->tmpFilePath = $GLOBALS[root_dir]."media/tmp/";
				$this->extensionDir = "extra/";
				$this->extensionUseHooks = true;
				$this->language = "english";
				$this->blockTransAfterError = 1;
				$this->onErrorAbort = 1;
				$this->fileExt = '.php';
				//print_r($GLOBALS);
				//$this->selectConfiguration("conf1");
				//$this->selectDatabase($GLOBALS['mysql_dbname']);
				
		 }

		 //			 Includes the messages dal gives
		 function includeMessages()
		 {
			 include_once($GLOBALS[include_dir]."dal/config/lang/$this->language.inc");
		 }

		/**
		 * Fills array with which extensions are available
		 *
		 * @access private
	 	 */
		 function createExtensionList() 
		 {
			 $this->fullExtensionDir = $this->basedir . $this->extensionDir;
			 $dirHandle = opendir($this->fullExtensionDir);

			 while ($fileName = readdir($dirHandle)) {
				 $fullName = $this->fullExtensionDir  . $fileName;

				 if (filetype($fullName) == "dir") {
		  		 if (!preg_match("/\.|\.\./", $fullName)) {
						 $this->extensions[] = $fileName;
					 }
				 }
			 }
		 }
	}
?>